<?php
	$thb_cat                      = get_queried_object();
	$thb_cat_id                   = $thb_cat->term_id;
	$cat_style                    = get_term_meta( $thb_cat_id, 'thb_listing_style', true );
	$category_title_style         = ot_get_option( 'category_title_style', 'style1' );
	$category_list_style          = $cat_style ? $cat_style : ot_get_option( 'category_list_style', 'style2' );
	$category_grid_style          = ot_get_option( 'category_grids_' . $thb_cat_id );
	$category_grids_title_style   = ot_get_option( 'category_grids_title_' . $thb_cat_id );
	$category_grids_overlay_style = ot_get_option( 'category_grids_overlay_' . $thb_cat_id );


?>
<?php get_header(); ?>

<div class="row top-padding">
	<header class="small-12 columns">
		<?php get_template_part( 'inc/templates/header/category-title-' . $category_title_style ); ?>
	</header>
	<?php
	if ( '' !== $category_grid_style ) {
		switch ( $category_grid_style ) {
			case 'style1':
				$ppp = 3;
				break;
			case 'style2':
			case 'style3':
			case 'style4':
				$ppp = 5;
				break;
		}
		$args      = array(
			'posts_per_page'      => $ppp,
			'cat'                 => $thb_cat_id,
			'ignore_sticky_posts' => 1,
			'no_found_rows'       => true,
		);
		$cat_posts = new WP_Query( $args );
		$ids       = wp_list_pluck( $cat_posts->posts, 'ID' );
		?>
		<div class="small-12 columns category-grid">
			<div class="slick grid <?php echo esc_attr( $category_grid_style . ' ' . $category_grids_overlay_style . '-style' ); ?>" data-columns="1" data-navigation="false" data-pagination="false" data-autoplay="false">
			<?php thb_DisplaySliderBlock( $category_grid_style, $ids, $ppp, $category_grids_title_style, $category_grids_overlay_style ); ?>
			</div>
		</div>
		<?php
	}
	?>
	<section class="small-12 medium-8 columns">
		<?php
		$i = 0;
		if ( have_posts() ) :
			while ( have_posts() ) :
				the_post();
				if ( $category_list_style == 'style2' ) {
					get_template_part( 'inc/templates/post-styles/' . $category_list_style );
				} elseif ( $category_list_style == 'style3' ) {
					if ( $i == 0 ) {
						echo '<div class="row posts">'; }
							echo '<div class="small-12 medium-6 columns">';
								get_template_part( 'inc/templates/post-styles/' . $category_list_style );
							echo '</div>';
					if ( $i + 1 == $wp_query->post_count ) {
						echo '</div>';
					}
				}
				$i++;
			endwhile;
				the_posts_pagination(
					array(
						'prev_text' => '<span>' . esc_html__( '&larr;', 'goodlife' ) . '</span>',
						'next_text' => '<span>' . esc_html__( '&rarr;', 'goodlife' ) . '</span>',
						'mid_size'  => 2,
					)
				);
			else :
				get_template_part( 'inc/templates/loop/notfound' );
		endif;
			?>
	</section>
	<?php get_sidebar( 'category' ); ?>
</div>
<?php
get_footer();
