<?php


// if it's a video post...
if ( get_post_format( $this->post->ID ) == 'video' ) {
	$post_video = get_post_meta( $this->post->ID, 'post_video', true );
	$embed      = wp_oembed_get(
		$post_video,
		array(
			'height' => 450,
			'width'  => 600,
		)
	);
	if ( ! empty( $embed ) ) {
		$ampEmbedder             = new \AMP_Content(
			$embed,
			apply_filters(
				'amp_content_embed_handlers',
				array(
					'AMP_Twitter_Embed_Handler'   => array(),
					'AMP_YouTube_Embed_Handler'   => array(),
					'AMP_Instagram_Embed_Handler' => array(),
					'AMP_Vine_Embed_Handler'      => array(),
					'AMP_Facebook_Embed_Handler'  => array(),
					'AMP_Gallery_Embed_Handler'   => array(),
				)
			),
			apply_filters(
				'amp_content_sanitizers',
				array(
					'AMP_Style_Sanitizer'  => array(),
					'AMP_Img_Sanitizer'    => array(),
					'AMP_Video_Sanitizer'  => array(),
					'AMP_Audio_Sanitizer'  => array(),
					'AMP_Iframe_Sanitizer' => array(
						'add_placeholder' => true,
					),
				)
			),
			array(
				'content_max_width' => $this->get( 'content_max_width' ),
			)
		);
		$featured_video_amp_html = str_replace( array( '<p>', '</p>' ), '', $ampEmbedder->get_amp_content() );
		?>
		<div class="amp-wp-article-featured-video">
			<?php echo $featured_video_amp_html; ?>
		</div>
		<?php
	}
} else {
	$featured_image = $this->get( 'featured_image' );

	if ( empty( $featured_image ) ) {
		return;
	}

	$amp_html = $featured_image['amp_html'];
	$caption  = $featured_image['caption'];

	?>

	<figure class="amp-wp-article-featured-image wp-caption">
		<?php echo $amp_html; ?>
		<?php if ( $caption ) : ?>
			<p class="wp-caption-text">
				<?php echo wp_kses_data( $caption ); ?>
			</p>
		<?php endif; ?>
	</figure>

	<?php
}
