<?php
add_filter( 'amp_post_template_file', 'thb_custom_amp_templates', 10, 3 );
function thb_custom_amp_templates( $file, $type, $post ) {
	if ( 'header' === $type ) {
		$file = get_theme_file_path( '/inc/framework/thb-amp/amp/header.php' );
	} elseif ( 'header-bar' === $type ) {
		$file = get_theme_file_path( '/inc/framework/thb-amp/amp/header-bar.php' );
	} elseif ( 'single' === $type ) {
		$file = get_theme_file_path( '/inc/framework/thb-amp/amp/single.php' );
	} elseif ( 'mobile-menu' === $type ) {
		$file = get_theme_file_path( '/inc/framework/thb-amp/amp/mobile-menu.php' );
	}
	return $file;
}


add_filter( 'amp_post_template_data', 'thb_amp_post_template_data' );
function thb_amp_post_template_data( $data ) {
	$data['font_urls']['FontAwesome']               = 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css';
	$data['amp_component_scripts']['amp-sidebar']   = 'https://cdn.ampproject.org/v0/amp-sidebar-0.1.js';
	$data['amp_component_scripts']['amp-accordion'] = 'https://cdn.ampproject.org/v0/amp-accordion-0.1.js';
	$data['amp_component_scripts']['amp-iframe']    = 'https://cdn.ampproject.org/v0/amp-iframe-0.1.js';
	return $data;
}

add_action( 'amp_post_template_css', 'thb_amp_additional_css_styles' );
function thb_amp_additional_css_styles( $amp_template ) {
	ob_start();
	include_once Thb_Theme_Admin::$thb_theme_directory . 'assets/css/amp.css';
	$out = ob_get_clean();
	echo esc_html( $out );
	$logo = ot_get_option( 'thb_logo', Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/logo.png' );
	// only CSS here please...
	?>
	header.amp-wp-header a.logo {
		background-image: url( '<?php echo esc_url( $logo ); ?>' );
	}
	<?php
}
