<?php
function thb_get_cmc_data( $ids ) {
	if ( $_SERVER['HTTP_HOST'] === 'goodlife.fuelthemes.net' || $_SERVER['HTTP_HOST'] === 'http://ftgoodlife.staging.wpengine.com' || $_SERVER['HTTP_HOST'] === 'localhost' ) {
		$key = '55e38add-9756-4847-8cf1-d1bfe7ae34cf';
	} else {
		$key = ot_get_option( 'cmc_api_key' );
	}

	if ( ! $key ) {
		echo esc_html__( 'Please enter your Coinmarketcap.com API Key inside Theme Options > Misc', 'goodlife' );
		return;
	}
	if ( ! $ids ) {
		echo esc_html__( 'Please enter IDs of the cryptocurrencies you would like to display', 'goodlife' );
		return;
	}
	$cmc_latest = 'https://pro-api.coinmarketcap.com/v1/cryptocurrency/quotes/latest';

	$transient = 'thb-cmc-key-' . $key . '-' . $ids;

	if ( false === ( $output = get_transient( $transient ) ) && $ids && $key ) {
		$json = wp_remote_get(
			$cmc_latest,
			array(
				'timeout' => 10,
				'headers' => array(
					'X-CMC_PRO_API_KEY' => $key,
				),
				'body'    => array(
					'id' => $ids,
				),
			)
		);

		// Check for error
		if ( is_wp_error( $json ) ) {
			$error_string = $json->get_error_message();
			echo esc_html( $error_string );
			return;
		}
		$data        = wp_remote_retrieve_body( $json );
		$json_output = json_decode( $data );

		$ids_array = explode( ',', $ids );

		$i      = 0;
		$output = new stdClass();
		foreach ( $ids_array as $id ) {
			$id                 = intval( $id );
			$output->data[ $i ] = $json_output->data->$id;
			$i++;
		}

		set_transient( $transient, $output, HOUR_IN_SECONDS );
	}
	return $output;
}
