<?php

function thb_social_article_detail_vertical( $id = false, $fixed = false, $class = false ) {
	$id           = $id ? $id : get_the_ID();
	$permalink    = get_permalink( $id );
	$title        = the_title_attribute(
		array(
			'echo' => 0,
			'post' => $id,
		)
	);
	$image_id     = get_post_thumbnail_id( $id );
	$image        = wp_get_attachment_image_src( $image_id, 'full' );
	$twitter_user = ot_get_option( 'twitter_bar_username', 'anteksiler' );
	$sharing_type = ot_get_option( 'sharing_buttons' ) ? ot_get_option( 'sharing_buttons' ) : array();
	?>
	<?php if ( ! empty( $sharing_type ) ) { ?>
	<aside class="share-article-vertical share-main hide-on-print
		<?php
		if ( $fixed ) {
			?>
		 fixed-me<?php } ?> <?php echo esc_attr( $class ); ?>">

		<?php if ( in_array( 'facebook', $sharing_type ) ) { ?>
		<a href="<?php echo 'http://www.facebook.com/sharer.php?u=' . urlencode( esc_url( $permalink ) ) . ''; ?>" class="facebook social"><i class="fa fa-facebook"></i></a>
		<?php } ?>
		<?php if ( in_array( 'twitter', $sharing_type ) ) { ?>
		<a href="<?php echo 'https://twitter.com/intent/tweet?text=' . htmlspecialchars( urlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . '&url=' . urlencode( esc_url( $permalink ) ) . '&via=' . urlencode( $twitter_user ? $twitter_user : get_bloginfo( 'name' ) ) . ''; ?>" class="twitter social "><i class="fa fa-twitter"></i></a>
		<?php } ?>
		<?php if ( in_array( 'google-plus', $sharing_type ) ) { ?>
		<a href="<?php echo 'http://plus.google.com/share?url=' . esc_url( $permalink ) . ''; ?>" class="google-plus social"><i class="fa fa-google-plus"></i></a>
		<?php } ?>
		<?php if ( in_array( 'pinterest', $sharing_type ) ) { ?>
		<a href="<?php echo 'http://pinterest.com/pin/create/link/?url=' . esc_url( $permalink ) . '&media=' . ( ! empty( $image[0] ) ? $image[0] : '' ) . '&description=' . htmlspecialchars( urlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ); ?>" class="pinterest social" data-pin-no-hover="true"><i class="fa fa-pinterest"></i></a>
		<?php } ?>
		<?php if ( in_array( 'linkedin', $sharing_type ) ) { ?>
		<a href="<?php echo 'https://www.linkedin.com/cws/share?url=' . esc_url( $permalink ) . ''; ?>" class="linkedin social"><i class="fa fa-linkedin"></i></a>
		<?php } ?>
		<?php if ( in_array( 'whatsapp', $sharing_type ) ) { ?>
		<a href="<?php echo 'whatsapp://send?text=' . htmlspecialchars( urlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . ' ' . esc_url( $permalink ); ?>" class="whatsapp social" data-href="<?php echo esc_url( $permalink ); ?>" data-action="share/whatsapp/share"><i class="fa fa-whatsapp"></i></a>
		<?php } ?>
	</aside>
	<?php } ?>
	<?php
}
add_action( 'thb_social_article_detail_vertical', 'thb_social_article_detail_vertical', 3, 3 );

function thb_product_share_text() {
	echo '<span class="shares_text">' . esc_html__( 'Share:', 'goodlife' ) . '</span>';
}
add_action( 'woocommerce_share', 'thb_product_share_text', 9 );
add_action( 'woocommerce_share', 'thb_social_article_detail_vertical', 10 );

function thb_social_article_detail( $id = false, $class = false ) {
	$id           = $id ? $id : get_the_ID();
	$permalink    = get_permalink( $id );
	$title        = the_title_attribute(
		array(
			'echo' => 0,
			'post' => $id,
		)
	);
	$image_id     = get_post_thumbnail_id( $id );
	$image        = wp_get_attachment_image_src( $image_id, 'full' );
	$twitter_user = ot_get_option( 'twitter_bar_username', 'anteksiler' );
	$sharing_type = ot_get_option( 'sharing_buttons' ) ? ot_get_option( 'sharing_buttons' ) : array();
	?>
	<?php if ( ! empty( $sharing_type ) ) { ?>
	<div class="share-article hide-on-print <?php echo esc_attr( $class ); ?>">
		<div class="row align-middle">
			<div class="small-12 medium-5 columns">
				<div class="share-title"><?php esc_html_e( 'Share This', 'goodlife' ); ?></div>
			</div>
			<div class="small-12 medium-7 columns">
				<?php do_action( 'thb_social_article_detail_simple', false, 'small-only-text-center text-right' ); ?>
			</div>
		</div>
	</div>
	<?php } ?>
	<?php
}
add_action( 'thb_social_article_detail', 'thb_social_article_detail', 3, 3 );
function thb_social_article_detail_simple( $id = false, $class = false ) {
	$id           = $id ? $id : get_the_ID();
	$permalink    = get_permalink( $id );
	$title        = the_title_attribute(
		array(
			'echo' => 0,
			'post' => $id,
		)
	);
	$image_id     = get_post_thumbnail_id( $id );
	$image        = wp_get_attachment_image_src( $image_id, 'full' );
	$twitter_user = ot_get_option( 'twitter_bar_username', 'anteksiler' );
	$sharing_type = ot_get_option( 'sharing_buttons' ) ? ot_get_option( 'sharing_buttons' ) : array();
	?>
	<?php if ( ! empty( $sharing_type ) ) { ?>
	<aside class="share-article share-main simple hide-on-print">
		<?php if ( in_array( 'facebook', $sharing_type ) ) { ?>
		<a href="<?php echo 'http://www.facebook.com/sharer.php?u=' . urlencode( esc_url( $permalink ) ) . ''; ?>" class="facebook social"><i class="fa fa-facebook"></i></a>
		<?php } ?>
		<?php if ( in_array( 'twitter', $sharing_type ) ) { ?>
		<a href="<?php echo 'https://twitter.com/intent/tweet?text=' . htmlspecialchars( urlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . '&url=' . urlencode( esc_url( $permalink ) ) . '&via=' . urlencode( $twitter_user ? $twitter_user : get_bloginfo( 'name' ) ) . ''; ?>" class="twitter social "><i class="fa fa-twitter"></i></a>
		<?php } ?>
		<?php if ( in_array( 'google-plus', $sharing_type ) ) { ?>
		<a href="<?php echo 'http://plus.google.com/share?url=' . esc_url( $permalink ) . ''; ?>" class="google-plus social"><i class="fa fa-google-plus"></i></a>
		<?php } ?>
		<?php if ( in_array( 'pinterest', $sharing_type ) ) { ?>
		<a href="<?php echo 'http://pinterest.com/pin/create/link/?url=' . esc_url( $permalink ) . '&media=' . ( ! empty( $image[0] ) ? $image[0] : '' ) . '&description=' . htmlspecialchars( urlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ); ?>" class="pinterest social" data-pin-no-hover="true"><i class="fa fa-pinterest"></i></a>
		<?php } ?>
		<?php if ( in_array( 'linkedin', $sharing_type ) ) { ?>
		<a href="<?php echo 'https://www.linkedin.com/cws/share?url=' . esc_url( $permalink ) . ''; ?>" class="linkedin social"><i class="fa fa-linkedin"></i></a>
		<?php } ?>
		<?php if ( in_array( 'whatsapp', $sharing_type ) ) { ?>
		<a href="<?php echo 'whatsapp://send?text=' . htmlspecialchars( urlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . ' ' . esc_url( $permalink ); ?>" class="whatsapp social" data-href="<?php echo esc_url( $permalink ); ?>" data-action="share/whatsapp/share"><i class="fa fa-whatsapp"></i><span></span></a>
		<?php } ?>
	</aside>
	<?php } ?>
	<?php
}
add_action( 'thb_social_article_detail_simple', 'thb_social_article_detail_simple', 3, 3 );
