<?php
$thb_animation_array = array(
	'type'       => 'dropdown',
	'heading'    => esc_html__( 'Animation', 'goodlife' ),
	'param_name' => 'animation',
	'value'      => array(
		'None'               => '',
		'Right to Left'      => 'animation right-to-left',
		'Left to Right'      => 'animation left-to-right',
		'Right to Left - 3D' => 'animation right-to-left-3d',
		'Left to Right - 3D' => 'animation left-to-right-3d',
		'Bottom to Top'      => 'animation bottom-to-top',
		'Top to Bottom'      => 'animation top-to-bottom',
		'Bottom to Top - 3D' => 'animation bottom-to-top-3d',
		'Top to Bottom - 3D' => 'animation top-to-bottom-3d',
		'Scale'              => 'animation scale',
		'Fade'               => 'animation fade-in',
	),
);

/* Visual Composer Mappings */

// Add parameters to columns
vc_add_param(
	'vc_column',
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Enable Fixed Content', 'goodlife' ),
		'param_name'  => 'fixed',
		'value'       => array(
			esc_html__( 'Yes', 'goodlife' ) => 'true',
		),
		'description' => esc_html__( 'If you enable this, this column will be fixed.', 'goodlife' ),
	)
);
vc_add_param( 'vc_column', $thb_animation_array );
vc_add_param( 'vc_column_inner', $thb_animation_array );

// Add parameters to rows
vc_add_param(
	'vc_row',
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Enable Full Width', 'goodlife' ),
		'param_name'  => 'thb_full_width',
		'value'       => array(
			esc_html__( 'Yes', 'goodlife' ) => 'true',
		),
		'weight'      => 1,
		'description' => esc_html__( 'If you enable this, this row will fill the screen', 'goodlife' ),
	)
);
vc_add_param(
	'vc_row',
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Disable Row Padding', 'goodlife' ),
		'param_name'  => 'row_padding',
		'value'       => array(
			esc_html__( 'Yes', 'goodlife' ) => 'true',
		),
		'weight'      => 1,
		'description' => esc_html__( "If you enable this, this row won't leave padding on the sides", 'goodlife' ),
	)
);
vc_add_param(
	'vc_row',
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Disable Column Padding', 'goodlife' ),
		'param_name'  => 'column_padding',
		'value'       => array(
			esc_html__( 'Yes', 'goodlife' ) => 'false',
		),
		'weight'      => 1,
		'description' => esc_html__( 'You can have columns without spaces using this option', 'goodlife' ),
	)
);
vc_add_param(
	'vc_row_inner',
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Disable Column Padding', 'goodlife' ),
		'param_name'  => 'column_padding',
		'value'       => array(
			esc_html__( 'Yes', 'goodlife' ) => 'false',
		),
		'description' => esc_html__( 'You can have columns without spaces using this option', 'goodlife' ),
	)
);
vc_add_param(
	'vc_row_inner',
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Disable Row Padding', 'goodlife' ),
		'param_name'  => 'row_padding',
		'value'       => array(
			esc_html__( 'Yes', 'goodlife' ) => 'true',
		),
		'description' => esc_html__( "If you enable this, this row won't leave padding on the sides", 'goodlife' ),
	)
);
vc_add_param(
	'vc_row_inner',
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Enable Max Width', 'goodlife' ),
		'param_name'  => 'max_width',
		'value'       => array(
			esc_html__( 'Yes', 'goodlife' ) => 'true',
		),
		'weight'      => 1,
		'description' => esc_html__( 'If you enable this, this row will not fill the container.', 'goodlife' ),
	)
);

vc_add_param(
	'vc_row',
	array(
		'type'       => 'checkbox',
		'group'      => esc_html__( 'Dividers', 'goodlife' ),
		'heading'    => esc_html__( 'Enable Dividers?', 'goodlife' ),
		'param_name' => 'thb_shape_divider',
		'value'      => array(
			'Yes' => 'true',
		),

	)
);
vc_add_param(
	'vc_row',
	array(
		'type'       => 'thb_radio_image',
		'heading'    => esc_html__( 'Divider Shape', 'goodlife' ),
		'param_name' => 'divider_shape',
		'group'      => esc_html__( 'Dividers', 'goodlife' ),
		'options'    => array(
			'curve'         => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/curve.png',
			'tilt_v2'       => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/tilt_v2.png',
			'tilt'          => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/tilt.png',
			'triangle'      => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/triangle.png',
			'waves_alt'     => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/waves_alt.png',
			'waves_v2'      => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/waves_v2.png',
			'waves_v3'      => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/waves_v3.png',
			'waves'         => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/waves.png',
			'waves_opacity' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/waves_opacity.png',
			'cloud'         => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/dividers/cloud.png',
		),
		'dependency' => array(
			'element' => 'thb_shape_divider',
			'value'   => array( 'true' ),
		),
	)
);

vc_add_param(
	'vc_row',
	array(
		'type'       => 'colorpicker',
		'heading'    => esc_html__( 'Divider Color', 'goodlife' ),
		'param_name' => 'thb_divider_color',
		'group'      => esc_html__( 'Dividers', 'goodlife' ),
	)
);
vc_add_param(
	'vc_row',
	array(
		'type'       => 'colorpicker',
		'heading'    => esc_html__( 'Divider 2 Color', 'goodlife' ),
		'param_name' => 'thb_divider_color_2',
		'group'      => esc_html__( 'Dividers', 'goodlife' ),
		'dependency' => array(
			'element' => 'thb_divider_position',
			'value'   => array( 'both' ),
		),
	)
);
vc_add_param(
	'vc_row',
	array(
		'type'       => 'dropdown',
		'heading'    => esc_html__( 'Divider Position', 'goodlife' ),
		'param_name' => 'thb_divider_position',
		'group'      => esc_html__( 'Dividers', 'goodlife' ),
		'value'      => array(
			'Bottom' => 'bottom',
			'Top'    => 'top',
			'Both'   => 'both',
		),
	)
);
vc_add_param(
	'vc_row',
	array(
		'type'        => 'textfield',
		'group'       => esc_html__( 'Dividers', 'goodlife' ),
		'heading'     => esc_html__( 'Divider Height', 'goodlife' ),
		'param_name'  => 'thb_divider_height',
		'description' => esc_html__( 'Enter a custom height for your shape divider in pixels without the "px"', 'goodlife' ),
	)
);

// Remove parameters from Rows
vc_remove_param( 'vc_row', 'full_width' );
vc_remove_param( 'vc_row', 'gap' );
vc_remove_param( 'vc_row', 'equal_height' );
vc_remove_param( 'vc_row', 'css_animation' );

// Remove parameters from Inner Rows
vc_remove_param( 'vc_row_inner', 'gap' );
vc_remove_param( 'vc_row_inner', 'equal_height' );
vc_remove_param( 'vc_row_inner', 'css_animation' );

// Remove parameters from Text Area
vc_remove_param( 'vc_column_text', 'css_animation' );
vc_add_param( 'vc_column_text', $thb_animation_array );

// Posts
vc_map(
	array(
		'name'        => esc_html__( 'Author Grid', 'goodlife' ),
		'base'        => 'thb_authorgrid',
		'icon'        => 'thb_vc_ico_authorgrid',
		'class'       => 'thb_vc_sc_authorgrid',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Columns', 'goodlife' ),
				'param_name'  => 'columns',
				'admin_label' => true,
				'value'       => array(
					'Six Columns'   => 'medium-4 large-2',
					'Four Columns'  => 'medium-6 large-3',
					'Three Columns' => 'medium-4',
					'Two Columns'   => 'medium-6',
				),
				'description' => esc_html__( 'Select the layout of the authors.', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Author IDs', 'goodlife' ),
				'param_name'  => 'author_ids',
				'description' => esc_html__( 'Enter the Author IDs you would like to display seperated by comma', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Display your authors in a grid layout', 'goodlife' ),
	)
);

// Button shortcode
vc_map(
	array(
		'name'        => esc_html__( 'Button', 'goodlife' ),
		'base'        => 'thb_button',
		'icon'        => 'thb_vc_ico_button',
		'class'       => 'thb_vc_sc_button',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'             => 'vc_link',
				'heading'          => esc_html__( 'Link', 'goodlife' ),
				'param_name'       => 'link',
				'edit_field_class' => 'vc_col-sm-6',
				'description'      => esc_html__( 'Enter url for link', 'goodlife' ),
				'admin_label'      => true,
			),
			array(
				'type'             => 'iconpicker',
				'heading'          => esc_html__( 'Icon', 'goodlife' ),
				'param_name'       => 'icon',
				'edit_field_class' => 'vc_col-sm-6',
				'value'            => 'fa fa-adjust', // default value to backend editor admin_label
				'settings'         => array(
					'emptyIcon'    => true, // default true, display an "EMPTY" icon?
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
				),
				'description'      => esc_html__( 'Select icon from library.', 'goodlife' ),
			),
			array(
				'type'             => 'dropdown',
				'heading'          => esc_html__( 'Text Style', 'goodlife' ),
				'param_name'       => 'text_style',
				'edit_field_class' => 'vc_col-sm-6',
				'std'              => 'style1',
				'value'            => array(
					'Style - 1' => 'style1',
					'Style - 2' => 'style2',
				),
			),
			array(
				'type'             => 'checkbox',
				'heading'          => esc_html__( 'Full Width', 'goodlife' ),
				'param_name'       => 'full_width',
				'edit_field_class' => 'vc_col-sm-6',
				'value'            => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description'      => esc_html__( "If enabled, this will make the button fill it's container", 'goodlife' ),
			),
			array(
				'type'             => 'dropdown',
				'heading'          => esc_html__( 'Button color', 'goodlife' ),
				'param_name'       => 'color',
				'edit_field_class' => 'vc_col-sm-6',
				'value'            => array(
					'Accent Color'       => 'accent',
					'Accent Fill'        => 'accent-fill',
					'Accent Border'      => 'accent-border',
					'Black'              => 'black',
					'Black Border'       => 'black-border',
					'White'              => 'white',
					'White Border'       => 'white-border',
					'Accent Transparent' => 'accent-transparent',
					'White Transparent'  => 'white-transparent',
					'Black Transparent'  => 'black-transparent',
				),
			),
			array(
				'type'             => 'checkbox',
				'heading'          => esc_html__( 'Add Arrow', 'goodlife' ),
				'param_name'       => 'add_arrow',
				'edit_field_class' => 'vc_col-sm-6',
				'value'            => array(
					'Yes' => 'true',
				),
				'description'      => esc_html__( 'If enabled, will show an arrow on hover.', 'goodlife' ),
			),

			$thb_animation_array,
		),
		'description' => esc_html__( 'Add an animated button', 'goodlife' ),
	)
);

// Google Map
vc_map(
	array(
		'name'            => esc_html__( 'Contact Map Parent', 'goodlife' ),
		'base'            => 'thb_contactmap',
		'icon'            => 'thb_vc_ico_contactmap',
		'class'           => 'thb_vc_sc_contactmap',
		'content_element' => true,
		'category'        => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'as_parent'       => array( 'only' => 'thb_contactmap_pin' ),
		'params'          => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Map Height', 'goodlife' ),
				'param_name'  => 'height',
				'admin_label' => true,
				'value'       => 50,
				'description' => esc_html__( 'Enter height of the map in vh (0-100). For example, 50 will be 50% of viewport height and 100 will be full height. Make sure you have filled in your Google Maps API inside Appearance > Theme Options.', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Map Zoom', 'goodlife' ),
				'param_name'  => 'zoom',
				'value'       => '0',
				'description' => esc_html__( 'Set map zoom level. Leave 0 to automatically fit to bounds.', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Map Controls', 'goodlife' ),
				'param_name'  => 'map_controls',
				'std'         => 'panControl, zoomControl, mapTypeControl, scaleControl',
				'value'       => array(
					__( 'Pan Control', 'goodlife' )      => 'panControl',
					__( 'Zoom Control', 'goodlife' )     => 'zoomControl',
					__( 'Map Type Control', 'goodlife' ) => 'mapTypeControl',
					__( 'Scale Control', 'goodlife' )    => 'scaleControl',
					__( 'Street View Control', 'goodlife' ) => 'streetViewControl',
				),
				'description' => esc_html__( 'Toggle map options.', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Map Type', 'goodlife' ),
				'param_name'  => 'map_type',
				'std'         => 'roadmap',
				'value'       => array(
					__( 'Roadmap', 'goodlife' )   => 'roadmap',
					__( 'Satellite', 'goodlife' ) => 'satellite',
					__( 'Hybrid', 'goodlife' )    => 'hybrid',
				),
				'description' => esc_html__( 'Choose map style.', 'goodlife' ),
			),
			array(
				'type'        => 'textarea_raw_html',
				'heading'     => esc_html__( 'Map Style', 'goodlife' ),
				'param_name'  => 'map_style',
				'value'       => '',
				'description' => esc_html__( 'Paste the style code here. Browse map styles in <a href="https://snazzymaps.com/" target="_blank">SnazzyMaps</a>', 'goodlife' ),
			),
		),
		'description'     => esc_html__( 'Insert your Contact Map', 'goodlife' ),
		'js_view'         => 'VcColumnView',
	)
);

vc_map(
	array(
		'name'     => esc_html__( 'Contact Map Location', 'goodlife' ),
		'base'     => 'thb_contactmap_pin',
		'icon'     => 'thb_vc_ico_contactmap',
		'class'    => 'thb_vc_sc_contactmap',
		'category' => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'as_child' => array( 'only' => 'thb_contactmap' ),
		'params'   => array(
			array(
				'type'        => 'attach_image',
				'heading'     => esc_html__( 'Marker Image', 'goodlife' ),
				'param_name'  => 'marker_image',
				'value'       => '',
				'description' => esc_html__( 'Add your Custom marker image or use default one.', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Retina Marker', 'goodlife' ),
				'param_name'  => 'retina_marker',
				'std'         => '',
				'value'       => array(
					__( 'Yes', 'goodlife' ) => 'yes',
				),
				'description' => esc_html__( 'Enabling this option will reduce the size of marker for 50%, example if marker is 32x32 it will be 16x16.', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Latitude', 'goodlife' ),
				'admin_label' => true,
				'param_name'  => 'latitude',
				'value'       => '',
				'description' => esc_html__( 'Enter latitude coordinate. To select map coordinates <a href="http://www.latlong.net/convert-address-to-lat-long.html" target="_blank">click here</a>.', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Longitude', 'goodlife' ),
				'admin_label' => true,
				'param_name'  => 'longitude',
				'value'       => '',
				'description' => esc_html__( 'Enter longitude coordinate.', 'goodlife' ),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Marker Title', 'goodlife' ),
				'param_name' => 'marker_title',
				'value'      => '',
			),
			array(
				'type'       => 'textarea',
				'heading'    => esc_html__( 'Marker Description', 'goodlife' ),
				'param_name' => 'marker_description',
				'value'      => '',
			),
		),
	)
);

class WPBakeryShortCode_thb_contactmap extends WPBakeryShortCodesContainer {}
class WPBakeryShortCode_thb_contactmap_pin extends WPBakeryShortCode {}

// Crypto
vc_map(
	array(
		'name'        => esc_html__( 'Cryptocurrencies', 'goodlife' ),
		'base'        => 'thb_crypto',
		'icon'        => 'thb_vc_ico_crypto',
		'class'       => 'thb_vc_sc_crypto',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Comma seperated Cryptocurrency IDs from Coinmarketcap', 'goodlife' ),
				'param_name'  => 'ids',
				'admin_label' => true,
				'description' => esc_html__( "You can get the ID from coin's Coinmarketcap.com page > Tools > API Ticket (last digits)", 'goodlife' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'goodlife' ),
				'param_name' => 'columns',
				'value'      => array(
					'Six Columns'   => '6',
					'Five Columns'  => '5',
					'Four Columns'  => '4',
					'Three Columns' => '3',
					'Two Columns'   => '2',
				),
			),
		),
		'description' => esc_html__( 'Add Crytocurrency prices', 'goodlife' ),
	)
);

// Gap shortcode
vc_map(
	array(
		'name'        => esc_html__( 'Gap', 'goodlife' ),
		'base'        => 'thb_gap',
		'icon'        => 'thb_vc_ico_gap',
		'class'       => 'thb_vc_sc_gap',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Gap Height', 'goodlife' ),
				'param_name'  => 'height',
				'admin_label' => true,
				'description' => esc_html__( 'Enter height of the gap in px.', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Add a gap to seperate elements', 'goodlife' ),
	)
);

// Image shortcode
vc_map(
	array(
		'name'        => 'Image',
		'base'        => 'thb_image',
		'icon'        => 'thb_vc_ico_image',
		'class'       => 'thb_vc_sc_image',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'       => 'attach_image', // attach_images
				'heading'    => esc_html__( 'Select Image', 'goodlife' ),
				'param_name' => 'image',
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Full Width?', 'goodlife' ),
				'param_name'  => 'full_width',
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If selected, the image will always fill its container', 'goodlife' ),
			),
			$thb_animation_array,
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Image size', 'goodlife' ),
				'param_name'  => 'img_size',
				'description' => esc_html__( "Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use 'thumbnail' size.", 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Image alignment', 'goodlife' ),
				'param_name'  => 'alignment',
				'value'       => array(
					'Align left'   => 'left',
					'Align right'  => 'right',
					'Align center' => 'center',
				),
				'description' => esc_html__( 'Select image alignment.', 'goodlife' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Link to Full-Width Image?', 'goodlife' ),
				'param_name' => 'lightbox',
				'value'      => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
			),
			array(
				'type'        => 'vc_link',
				'heading'     => esc_html__( 'Image link', 'goodlife' ),
				'param_name'  => 'img_link',
				'description' => esc_html__( 'Enter url if you want this image to have link.', 'goodlife' ),
				'dependency'  => array(
					'element'  => 'lightbox',
					'is_empty' => true,
				),
			),
		),
		'description' => esc_html__( 'Add an animated image', 'goodlife' ),
	)
);

// Posts Carousel
vc_map(
	array(
		'name'        => esc_html__( 'Posts Carousel', 'goodlife' ),
		'base'        => 'thb_postcarousel',
		'icon'        => 'thb_vc_ico_postcarousel',
		'class'       => 'thb_vc_sc_postcarousel',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'thb_radio_image',
				'heading'     => esc_html__( 'Style', 'goodlife' ),
				'param_name'  => 'style',
				'admin_label' => true,
				'std'         => 'style1',
				'options'     => array(
					'style1' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcarousel/style1.png',
					'style2' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcarousel/style2.png',
					'style3' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcarousel/style3.png',
					'style4' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcarousel/style4.png',
					'style5' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcarousel/style5.png',
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Title Position', 'goodlife' ),
				'param_name'  => 'title_position',
				'value'       => array(
					'Top Left'      => 'top-title',
					'Center Center' => 'center-title',
					'Bottom Left'   => 'bottom-title',
				),
				'description' => esc_html__( 'Select the title position.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Columns', 'goodlife' ),
				'param_name'  => 'columns',
				'value'       => array(
					'Five Columns'  => '5',
					'Four Columns'  => '4',
					'Three Columns' => '3',
				),
				'description' => esc_html__( 'Select the layout.', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Margin', 'goodlife' ),
				'param_name'  => 'margin',
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will space out the posts.', 'goodlife' ),
			),
			array(
				'type'        => 'loop',
				'heading'     => esc_html__( 'Post Source', 'goodlife' ),
				'param_name'  => 'source',
				'description' => esc_html__( 'Set your post source here', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Color', 'goodlife' ),
				'param_name'  => 'color',
				'group'       => esc_html__( 'Controls', 'goodlife' ),
				'value'       => array(
					'Light' => 'light',
					'Dark'  => 'dark',
				),
				'description' => esc_html__( 'This changes color of the pagination bullets and navigation arrows.', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Pagination', 'goodlife' ),
				'param_name'  => 'pagination',
				'group'       => esc_html__( 'Controls', 'goodlife' ),
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will show pagination circles underneath', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Navigation Arrows', 'goodlife' ),
				'param_name'  => 'navigation',
				'group'       => esc_html__( 'Controls', 'goodlife' ),
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will show navigation arrows on the side', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Display Posts from your blog in a Carousel', 'goodlife' ),
	)
);

// Posts Category
vc_map(
	array(
		'name'        => esc_html__( 'Posts Category', 'goodlife' ),
		'base'        => 'thb_postcategory',
		'icon'        => 'thb_vc_ico_postcategory',
		'class'       => 'thb_vc_sc_postcategory',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'thb_radio_image',
				'heading'     => esc_html__( 'Style', 'goodlife' ),
				'param_name'  => 'style',
				'admin_label' => true,
				'std'         => 'style1',
				'options'     => array(
					'style1'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style1.png',
					'style2'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style2.png',
					'style3'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style3.png',
					'style4'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style4.png',
					'style5'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style5.png',
					'style6'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style6.png',
					'style6'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style6-fashion.png',
					'style7'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style7.png',
					'style8'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style8.png',
					'style9'  => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style9.png',
					'style10' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style10.png',
					'style11' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postcategory/style11.png',
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Select Category', 'goodlife' ),
				'param_name'  => 'cat',
				'value'       => thb_blogCategories(),
				'description' => esc_html__( 'Which category would you like to show?', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Excluded Tag IDs', 'goodlife' ),
				'param_name'  => 'excluded_tag_ids',
				'description' => esc_html__( 'Enter the tag ids you would like to exclude separated by comma', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number of posts', 'goodlife' ),
				'param_name'  => 'item_count',
				'value'       => '',
				'description' => esc_html__( 'The number of posts to show. Minium 3', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style6', 'style6-fashion', 'style7' ),
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Display Category Title?', 'goodlife' ),
				'param_name'  => 'title',
				'group'       => esc_html__( 'Title', 'goodlife' ),
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If selected, the category title will be displayed on top', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Title Style', 'goodlife' ),
				'param_name'  => 'title_style',
				'group'       => esc_html__( 'Title', 'goodlife' ),
				'admin_label' => true,
				'value'       => array(
					'Style 1' => 'style1',
					'Style 2' => 'style2',
					'Style 3' => 'style3',
				),
				'description' => esc_html__( 'This changes the style of the title.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'title',
					'value'   => array( 'true' ),
				),
			),
		),
		'description' => esc_html__( 'Display a Category with posts', 'goodlife' ),
	)
);

// Posts
vc_map(
	array(
		'name'        => esc_html__( 'Posts', 'goodlife' ),
		'base'        => 'thb_postgrid',
		'icon'        => 'thb_vc_ico_postgrid',
		'class'       => 'thb_vc_sc_postgrid',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'thb_radio_image',
				'heading'     => esc_html__( 'Style', 'goodlife' ),
				'param_name'  => 'style',
				'admin_label' => true,
				'std'         => 'style1',
				'options'     => array(
					'style1' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style1.png',
					'style2' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style2.png',
					'style3' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style3.png',
					'style4' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style4.png',
					'style5' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style5.png',
					'style6' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style6.png',
					'style7' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style7.png',
					'style8' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style8.png',
					'style9' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/postgrid/style9.png',
				),
				'description' => esc_html__( 'This changes the layouts of the grids', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Display Excerpts?', 'goodlife' ),
				'param_name'  => 'thb_excerpts',
				'value'       => array(
					'Yes' => esc_html__( 'Yes', 'goodlife' ),
					'No'  => 'no',
				),
				'description' => esc_html__( 'Select if you would like to display the excerpts.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style2', 'style4' ),
				),
			),
			array(
				'type'        => 'loop',
				'heading'     => esc_html__( 'Post Source', 'goodlife' ),
				'param_name'  => 'source',
				'description' => esc_html__( 'Set your post source here', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Featured Posts (Enlarged Post Image)', 'goodlife' ),
				'param_name'  => 'featured_index',
				'description' => esc_html__( 'Enter the number for which posts to show as Featured (For ex, entering 1,3,5 will make those posts appear larger, these are not post IDs, just the number in which they appear)', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1', 'style3', 'style7' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Columns', 'goodlife' ),
				'param_name'  => 'columns',
				'admin_label' => true,
				'value'       => array(
					'Five Columns'  => '5',
					'Four Columns'  => '4',
					'Three Columns' => '3',
					'Two Columns'   => '2',
				),
				'description' => esc_html__( 'Select the layout of the posts.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style2', 'style4', 'style5', 'style6', 'style9' ),
				),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Pagination / Load More', 'goodlife' ),
				'param_name'  => 'pagination',
				'group'       => esc_html__( 'Pagination', 'goodlife' ),
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will show pagination underneath the posts.', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Pagination Style', 'goodlife' ),
				'param_name'  => 'pagination_style',
				'group'       => esc_html__( 'Pagination', 'goodlife' ),
				'value'       => array(
					'Regular Pagination' => 'style1',
					'Load More Button'   => 'style2',
					'Infinite Load'      => 'style3',
				),
				'description' => esc_html__( 'You can add a pagination to this post grid.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'pagination',
					'value'   => array( 'true' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Button Style', 'goodlife' ),
				'param_name'  => 'button_style',
				'group'       => esc_html__( 'Pagination', 'goodlife' ),
				'value'       => array(
					'Style 1' => 'style1',
					'Style 2' => 'style2',
				),
				'std'         => 'style1',
				'description' => esc_html__( 'You can change the style of the button here.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'pagination_style',
					'value'   => array( 'style2' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Button Size', 'goodlife' ),
				'param_name'  => 'button_size',
				'group'       => esc_html__( 'Pagination', 'goodlife' ),
				'value'       => array(
					'Regular' => 'regular',
					'Large'   => 'large',
				),
				'std'         => 'regular',
				'description' => esc_html__( 'You can change the size of the button here.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'pagination_style',
					'value'   => array( 'style2' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Button Color', 'goodlife' ),
				'param_name'  => 'button_color',
				'group'       => esc_html__( 'Pagination', 'goodlife' ),
				'value'       => array(
					'Black'  => 'black',
					'White'  => 'white',
					'Accent' => 'accent-fill',
				),
				'std'         => 'black',
				'description' => esc_html__( 'You can change the color of the button here.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'pagination_style',
					'value'   => array( 'style2' ),
				),
			),
		),
		'description' => esc_html__( 'Display your posts in different grid layouts.', 'goodlife' ),
	)
);

// Posts Grid
vc_map(
	array(
		'name'        => esc_html__( 'Block Grid', 'goodlife' ),
		'base'        => 'thb_blockgrid',
		'icon'        => 'thb_vc_ico_blockgrid',
		'class'       => 'thb_vc_sc_blockgrid',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'thb_radio_image',
				'heading'     => esc_html__( 'Style', 'goodlife' ),
				'param_name'  => 'style',
				'admin_label' => true,
				'std'         => 'style1',
				'options'     => array(
					'style1' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style1.png',
					'style2' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style2.png',
					'style3' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style3.png',
					'style4' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style4.png',
					'style5' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style5.png',
				),
			),
			array(
				'type'        => 'loop',
				'heading'     => esc_html__( 'Post Source', 'goodlife' ),
				'param_name'  => 'source',
				'description' => esc_html__( 'Set your post source here', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Padding', 'goodlife' ),
				'param_name'  => 'padding',
				'value'       => array(
					'Regular'     => 'regular',
					'Low-padding' => 'grid',
				),
				'description' => esc_html__( 'This reduces the spaces between boxes.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1', 'style2', 'style3', 'style4' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Title Position', 'goodlife' ),
				'param_name'  => 'title_position',
				'value'       => array(
					'Top Left'      => 'top-title',
					'Center Center' => 'center-title',
					'Bottom Left'   => 'bottom-title',
				),
				'description' => esc_html__( 'Select the layout.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1', 'style2', 'style3', 'style4' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Overlay Style', 'goodlife' ),
				'param_name'  => 'overlay_style',
				'value'       => array(
					'Standard'   => 'standard',
					'Technology' => 'technology',
				),
				'description' => esc_html__( 'Select the layout.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style1', 'style2', 'style3', 'style4' ),
				),
			),
			array(
				'type'       => 'colorpicker',
				'heading'    => esc_html__( 'Accent Color', 'goodlife' ),
				'param_name' => 'accent_color',
				'dependency' => array(
					'element' => 'style',
					'value'   => array( 'style5' ),
				),
			),
		),
		'description' => esc_html__( 'Display your posts in different grid layouts.', 'goodlife' ),
	)
);

// Posts Grid Carousel
vc_map(
	array(
		'name'        => esc_html__( 'Block Grid Carousel', 'goodlife' ),
		'base'        => 'thb_postgrid_carousel',
		'icon'        => 'thb_vc_ico_postgrid_carousel',
		'class'       => 'thb_vc_sc_postgrid_carousel',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'thb_radio_image',
				'heading'     => esc_html__( 'Style', 'goodlife' ),
				'param_name'  => 'style',
				'admin_label' => true,
				'std'         => 'style1',
				'options'     => array(
					'style1' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style1.png',
					'style2' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style2.png',
					'style3' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style3.png',
					'style4' => Thb_Theme_Admin::$thb_theme_directory_uri . '/assets/img/admin/blockgrid/style4.png',
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Title Position', 'goodlife' ),
				'param_name'  => 'title_position',
				'value'       => array(
					'Top Left'      => 'top-title',
					'Center Center' => 'center-title',
					'Bottom Left'   => 'bottom-title',
				),
				'description' => esc_html__( 'Select the layout.', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Overlay Style', 'goodlife' ),
				'param_name'  => 'overlay_style',
				'value'       => array(
					'Standard'   => 'standard',
					'Technology' => 'technology',
				),
				'description' => esc_html__( 'Select the layout.', 'goodlife' ),
			),
			array(
				'type'        => 'loop',
				'heading'     => esc_html__( 'Post Source', 'goodlife' ),
				'param_name'  => 'source',
				'description' => esc_html__( 'Set your post source here', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Pagination', 'goodlife' ),
				'param_name'  => 'pagination',
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will show pagination circles underneath', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Navigation Arrows', 'goodlife' ),
				'param_name'  => 'navigation',
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will show navigation arrows on the side', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Display different grid layouts inside a carousel', 'goodlife' ),
	)
);

// Posts Slider
vc_map(
	array(
		'name'        => esc_html__( 'Posts Slider', 'goodlife' ),
		'base'        => 'thb_postslider',
		'icon'        => 'thb_vc_ico_postslider',
		'class'       => 'thb_vc_sc_postslider',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Type', 'goodlife' ),
				'param_name'  => 'style',
				'value'       => array(
					'Style 1 (GoodFashion)'   => 'style1',
					'Style 2 (Overlay Title)' => 'style2',
					'Style 3 (GoodTravel)'    => 'style3',
					'Style 4 (GoodStyle)'     => 'style4',
					'Style 5 (GoodMag)'       => 'style5',
				),
				'admin_label' => true,
				'description' => esc_html__( 'Select the slider style.', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Title Position', 'goodlife' ),
				'param_name'  => 'title_position',
				'value'       => array(
					'Top Left'      => 'top-title',
					'Center Center' => 'center-title',
					'Bottom Left'   => 'bottom-title',
				),
				'description' => esc_html__( 'Select the title position.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style2' ),
				),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Title Size', 'goodlife' ),
				'param_name' => 'title_size',
				'value'      => array(
					'H4' => 'h4',
					'H3' => 'h3',
				),
				'dependency' => array(
					'element' => 'style',
					'value'   => array( 'style2' ),
				),
			),
			array(
				'type'        => 'loop',
				'heading'     => esc_html__( 'Post Source', 'goodlife' ),
				'param_name'  => 'source',
				'description' => esc_html__( 'Set your post source here', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Pagination', 'goodlife' ),
				'param_name'  => 'pagination',
				'group'       => esc_html__( 'Controls', 'goodlife' ),
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will show pagination circles underneath', 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Navigation Arrows', 'goodlife' ),
				'param_name'  => 'navigation',
				'group'       => esc_html__( 'Controls', 'goodlife' ),
				'value'       => array(
					esc_html__( 'Yes', 'goodlife' ) => 'true',
				),
				'description' => esc_html__( 'If enabled, this will show navigation arrows on the side', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Display Posts from your blog in a Slider', 'goodlife' ),
	)
);

// Posts Trending Bar
vc_map(
	array(
		'name'        => esc_html__( 'Posts Trending Bar', 'goodlife' ),
		'base'        => 'thb_posttrendingbar',
		'icon'        => 'thb_vc_ico_posttrendingbar',
		'class'       => 'thb_vc_sc_posttrendingbar',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'loop',
				'heading'     => esc_html__( 'Post Source', 'goodlife' ),
				'param_name'  => 'source',
				'description' => esc_html__( 'Set your post source here', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Display your posts in scrolling trending bar.', 'goodlife' ),
	)
);

// Subscription shortcode
vc_map(
	array(
		'name'        => esc_html__( 'Subscription Form', 'goodlife' ),
		'base'        => 'thb_subscribe',
		'icon'        => 'thb_vc_ico_subscribe',
		'class'       => 'thb_vc_sc_subscribe',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Style', 'goodlife' ),
				'param_name'  => 'style',
				'admin_label' => true,
				'value'       => array(
					'Vertical'   => 'style1',
					'Horizontal' => 'style2',
					'Inline'     => 'style3',
				),
				'description' => esc_html__( 'This changes the style of the subscribe form', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Title', 'goodlife' ),
				'admin_label' => true,
				'param_name'  => 'title',
			),
			array(
				'type'       => 'textarea_html',
				'heading'    => esc_html__( 'Description', 'goodlife' ),
				'param_name' => 'content',
			),
		),
		'description' => esc_html__( 'Add a subscription form', 'goodlife' ),
	)
);

// Button shortcode
vc_map(
	array(
		'name'        => esc_html__( 'Title', 'goodlife' ),
		'base'        => 'thb_title',
		'icon'        => 'thb_vc_ico_title',
		'class'       => 'thb_vc_sc_title',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Type', 'goodlife' ),
				'param_name'  => 'style',
				'value'       => array(
					'Style 1 (Left aligned with border)' => 'style1',
					'Style 2 (Center aligned with icon)'  => 'style2',
					'Style 3 (Left aligned with box)'     => 'style3',
				),
				'admin_label' => true,
				'description' => esc_html__( 'Select the title style.', 'goodlife' ),
			),
			array(
				'type'        => 'iconpicker',
				'heading'     => esc_html__( 'Icon', 'goodlife' ),
				'param_name'  => 'icon',
				'value'       => 'fa fa-adjust', // default value to backend editor admin_label
				'settings'    => array(
					'emptyIcon'    => true, // default true, display an "EMPTY" icon?
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
				),
				'description' => esc_html__( 'Select icon from library.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'style',
					'value'   => array( 'style2' ),
				),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Title', 'goodlife' ),
				'param_name'  => 'title',
				'value'       => '',
				'description' => esc_html__( 'The title text', 'goodlife' ),
			),
			array(
				'type'       => 'colorpicker',
				'heading'    => esc_html__( 'Accent Color', 'goodlife' ),
				'param_name' => 'accent_color',
			),
		),
		'description' => esc_html__( 'Add a title to your sections', 'goodlife' ),
	)
);

// Video Playlist
vc_map(
	array(
		'name'        => esc_html__( 'Video Playlist', 'goodlife' ),
		'base'        => 'thb_videos',
		'icon'        => 'thb_vc_ico_videos',
		'class'       => 'thb_vc_sc_videos',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Style', 'goodlife' ),
				'param_name'  => 'style',
				'admin_label' => true,
				'value'       => array(
					'Horizontal' => 'style1',
					'Vertical'   => 'style2',
				),
				'description' => esc_html__( 'This changes the style of the playlist', 'goodlife' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'goodlife' ),
				'param_name' => 'columns',
				'value'      => array(
					'Six Columns'  => '6',
					'Five Columns' => '5',
					'Four Columns' => '4',
				),
				'dependency' => array(
					'element' => 'style',
					'value'   => array( 'style2' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Color', 'goodlife' ),
				'param_name'  => 'color',
				'admin_label' => true,
				'value'       => array(
					'Dark'        => 'dark',
					'Light'       => 'light',
					'Transparent' => 'transparent',
				),
				'description' => esc_html__( 'This changes the color of the playlist', 'goodlife' ),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Post Source', 'goodlife' ),
				'param_name'  => 'source',
				'value'       => array(
					'Most Recent' => 'most-recent',
					'By Category' => 'by-category',
					'By Tag'      => 'by-tag',
					'By Author'   => 'by-author',
				),
				'std'         => 'most-recent',
				'admin_label' => true,
				'description' => esc_html__( "Select the source of the posts you'd like to show.", 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Post Categories', 'goodlife' ),
				'param_name'  => 'cat',
				'value'       => thb_blogCategories(),
				'description' => esc_html__( 'Which categories would you like to show?', 'goodlife' ),
				'dependency'  => array(
					'element' => 'source',
					'value'   => array( 'by-category' ),
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number of posts', 'goodlife' ),
				'param_name'  => 'item_count',
				'value'       => '4',
				'description' => esc_html__( 'The number of posts to show.', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Tag slugs', 'goodlife' ),
				'param_name'  => 'tag_slugs',
				'description' => esc_html__( 'Enter the tag slugs you would like to display seperated by comma', 'goodlife' ),
				'dependency'  => array(
					'element' => 'source',
					'value'   => array( 'by-tag' ),
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Author IDs', 'goodlife' ),
				'param_name'  => 'author_ids',
				'description' => esc_html__( 'Enter the Author IDs you would like to display seperated by comma', 'goodlife' ),
				'dependency'  => array(
					'element' => 'source',
					'value'   => array( 'by-author' ),
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Offset', 'goodlife' ),
				'param_name'  => 'offset',
				'description' => esc_html__( 'You can offset your post with the number of posts entered in this setting', 'goodlife' ),
				'dependency'  => array(
					'element' => 'source',
					'value'   => array( 'most-recent', 'by-category', 'by-tag', 'by-author' ),
				),
			),
		),
		'description' => esc_html__( 'Display your video posts in a playlist', 'goodlife' ),
	)
);

// Products
vc_map(
	array(
		'name'        => esc_html__( 'Products', 'goodlife' ),
		'base'        => 'thb_product',
		'icon'        => 'thb_vc_ico_product',
		'class'       => 'thb_vc_sc_product',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Product Sort', 'goodlife' ),
				'param_name'  => 'product_sort',
				'value'       => array(
					'Best Sellers'      => 'best-sellers',
					'Latest Products'   => 'latest-products',
					'Top Rated'         => 'top-rated',
					'Featured Products' => 'featured-products',
					'Sale Products'     => 'sale-products',
					'By Category'       => 'by-category',
					'By Product ID'     => 'by-id',
				),
				'description' => esc_html__( "Select the order of the products you'd like to show.", 'goodlife' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Product Category', 'goodlife' ),
				'param_name'  => 'cat',
				'value'       => thb_productCategories(),
				'description' => esc_html__( "Select the order of the products you'd like to show.", 'goodlife' ),
				'dependency'  => array(
					'element' => 'product_sort',
					'value'   => array( 'by-category' ),
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Product IDs', 'goodlife' ),
				'param_name'  => 'product_ids',
				'description' => esc_html__( 'Enter the products IDs you would like to display seperated by comma', 'goodlife' ),
				'dependency'  => array(
					'element' => 'product_sort',
					'value'   => array( 'by-id' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Carousel', 'goodlife' ),
				'param_name'  => 'carousel',
				'value'       => array(
					'Yes' => esc_html__( 'Yes', 'goodlife' ),
					'No'  => 'no',
				),
				'description' => esc_html__( 'Select yes to display the products in a carousel.', 'goodlife' ),
			),
			array(
				'type'        => 'textfield',
				'class'       => '',
				'heading'     => esc_html__( 'Number of Items', 'goodlife' ),
				'param_name'  => 'item_count',
				'value'       => '4',
				'description' => esc_html__( 'The number of products to show.', 'goodlife' ),
				'dependency'  => array(
					'element' => 'product_sort',
					'value'   => array( 'by-category', 'sale-products', 'top-rated', 'latest-products', 'best-sellers' ),
				),
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Columns', 'goodlife' ),
				'param_name'  => 'columns',
				'admin_label' => true,
				'value'       => array(
					'Four Columns'  => '4',
					'Three Columns' => '3',
					'Two Columns'   => '2',
				),
				'description' => esc_html__( 'Select the layout of the products.', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Add WooCommerce products', 'goodlife' ),
	)
);

// Social Bar
vc_map(
	array(
		'name'        => esc_html__( 'Social Bar', 'goodlife' ),
		'base'        => 'thb_socialbar',
		'icon'        => 'thb_vc_ico_share',
		'class'       => 'thb_vc_sc_share',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'params'      => array(
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Social Sites to show', 'goodlife' ),
				'param_name'  => 'socials',
				'admin_label' => true,
				'value'       => array(
					'Facebook'    => 'fb',
					'Twitter'     => 'twitter',
					'Instagram'   => 'instagram',
					'Pinterest'   => 'pinterest',
					'Google Plus' => 'googleplus',
					'Linkedin'    => 'linkedin',
				),
				'description' => esc_html__( 'Select which social sites you want to show. They use the links inside Appearance > Theme Options', 'goodlife' ),
			),

		),
		'description' => esc_html__( 'Add a horizontal bar with links to your social profiles.', 'goodlife' ),
	)
);

// Category Slider
vc_map(
	array(
		'name'            => esc_html__( 'Category Slider', 'goodlife' ),
		'base'            => 'thb_catslider_parent',
		'icon'            => 'thb_vc_ico_catslider',
		'class'           => 'thb_vc_sc_catslider',
		'content_element' => true,
		'category'        => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'as_parent'       => array( 'only' => 'thb_catslider' ),
		'params'          => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'goodlife' ),
				'param_name' => 'columns',
				'value'      => array(
					'Six Columns'   => '6',
					'Five Columns'  => '5',
					'Four Columns'  => '4',
					'Three Columns' => '3',
					'Two Columns'   => '2',
				),
			),
		),
		'description'     => esc_html__( 'Category Slider', 'goodlife' ),
		'js_view'         => 'VcColumnView',
	)
);
vc_map(
	array(
		'name'        => esc_html__( 'Category', 'goodlife' ),
		'base'        => 'thb_catslider',
		'icon'        => 'thb_vc_ico_catslider',
		'class'       => 'thb_vc_sc_catslider',
		'category'    => esc_html__( 'by Fuel Themes', 'goodlife' ),
		'as_child'    => array( 'only' => 'thb_catslider_parent' ),
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Category', 'goodlife' ),
				'param_name'  => 'category',
				'admin_label' => true,
				'value'       => thb_blogCategories(),
				'description' => esc_html__( 'Category you want to show', 'goodlife' ),
			),
			array(
				'type'        => 'attach_image',
				'heading'     => esc_html__( 'Category Image', 'goodlife' ),
				'param_name'  => 'cat_image',
				'description' => esc_html__( 'Add Category image here.', 'goodlife' ),
			),
		),
		'description' => esc_html__( 'Single Category', 'goodlife' ),
	)
);
class WPBakeryShortCode_thb_catslider_parent extends WPBakeryShortCodesContainer {}
class WPBakeryShortCode_thb_catslider extends WPBakeryShortCode {}
