<?php
/* Body Classes */
function thb_body_classes( $classes ) {
	$classes[] = 'thb-boxed-' . ot_get_option( 'general_boxed', 'off' );
	$classes[] = 'thb_ads_header_mobile_' . ot_get_option( 'thb_ads_header_mobile', 'on' );
	$classes[] = 'thb-lightbox-' . ot_get_option( 'article_lightbox', 'on' );
	$classes[] = 'thb-capitalize-' . ot_get_option( 'general_capitalize', 'off' );
	$classes[] = 'thb-dark-mode-' . ot_get_option( 'thb_dark_mode', 'off' );
	$classes[] = 'thb-header-' . ot_get_option( 'header_style', 'style1' );
	$classes[] = ot_get_option( 'title_link_style', 'thb-title-underline-hover' );
	return $classes;
}
add_filter( 'body_class', 'thb_body_classes' );

/* Youtube & Vimeo Embeds */
function thb_remove_youtube_controls( $code ) {
	if ( strpos( $code, 'youtu.be' ) !== false || strpos( $code, 'youtube.com' ) !== false || strpos( $code, 'player.vimeo.com' ) !== false ) {
		if ( strpos( $code, 'youtu.be' ) !== false || strpos( $code, 'youtube.com' ) !== false ) {
			$return = preg_replace( "@src=(['\"])?([^'\">\s]*)@", 'src=$1$2&showinfo=0&rel=0&modestbranding=1&iv_load_policy=3&playsinline=1&enablejsapi=1', $code );
		} else {
			$return = $code;
		}
			$return = '<div class="flex-video widescreen' . ( strpos( $code, 'player.vimeo.com' ) !== false ? ' vimeo' : ' youtube' ) . '">' . $return . '</div>';
	} else {
			$return = $code;
	}
	return $return;
}

add_filter( 'embed_handler_html', 'thb_remove_youtube_controls' );
add_filter( 'embed_oembed_html', 'thb_remove_youtube_controls' );

/* Category Rel Fix */
function thb_remove_category_list_rel( $output ) {
	return str_replace( ' rel="category tag"', '', $output );
}
add_filter( 'wp_list_categories', 'thb_remove_category_list_rel' );
add_filter( 'the_category', 'thb_remove_category_list_rel' );

/* Author FB, TW & G+ Links */
function thb_my_new_contactmethods( $contactmethods ) {
	// Add Position
	$contactmethods['position'] = 'Position';
	// Add Twitter
	$contactmethods['twitter'] = 'Twitter URL';
	// Add Facebook
	$contactmethods['facebook'] = 'Facebook URL';
	// Add Facebook
	$contactmethods['instagram'] = 'Instagram URL';
	// Add Google+
	$contactmethods['googleplus'] = 'Google Plus URL';

	return $contactmethods;
}
add_filter( 'user_contactmethods', 'thb_my_new_contactmethods', 10, 1 );

/* Font Awesome Array */
function thb_getIconArray() {
	$icons = array(
		''                                       => '',
		'fa-glass'                               => 'fa-glass',
		'fa-music'                               => 'fa-music',
		'fa-search'                              => 'fa-search',
		'fa-envelope-o'                          => 'fa-envelope-o',
		'fa-heart'                               => 'fa-heart',
		'fa-star'                                => 'fa-star',
		'fa-star-o'                              => 'fa-star-o',
		'fa-user'                                => 'fa-user',
		'fa-film'                                => 'fa-film',
		'fa-th-large'                            => 'fa-th-large',
		'fa-th'                                  => 'fa-th',
		'fa-th-list'                             => 'fa-th-list',
		'fa-check'                               => 'fa-check',
		'fa-times'                               => 'fa-times',
		'fa-search-plus'                         => 'fa-search-plus',
		'fa-search-minus'                        => 'fa-search-minus',
		'fa-power-off'                           => 'fa-power-off',
		'fa-signal'                              => 'fa-signal',
		'fa-cog'                                 => 'fa-cog',
		'fa-trash-o'                             => 'fa-trash-o',
		'fa-home'                                => 'fa-home',
		'fa-file-o'                              => 'fa-file-o',
		'fa-clock-o'                             => 'fa-clock-o',
		'fa-road'                                => 'fa-road',
		'fa-download'                            => 'fa-download',
		'fa-arrow-circle-o-down'                 => 'fa-arrow-circle-o-down',
		'fa-arrow-circle-o-up'                   => 'fa-arrow-circle-o-up',
		'fa-inbox'                               => 'fa-inbox',
		'fa-play-circle-o'                       => 'fa-play-circle-o',
		'fa-repeat'                              => 'fa-repeat',
		'fa-refresh'                             => 'fa-refresh',
		'fa-list-alt'                            => 'fa-list-alt',
		'fa-lock'                                => 'fa-lock',
		'fa-flag'                                => 'fa-flag',
		'fa-headphones'                          => 'fa-headphones',
		'fa-volume-off'                          => 'fa-volume-off',
		'fa-volume-down'                         => 'fa-volume-down',
		'fa-volume-up'                           => 'fa-volume-up',
		'fa-qrcode'                              => 'fa-qrcode',
		'fa-barcode'                             => 'fa-barcode',
		'fa-tag'                                 => 'fa-tag',
		'fa-tags'                                => 'fa-tags',
		'fa-book'                                => 'fa-book',
		'fa-bookmark'                            => 'fa-bookmark',
		'fa-print'                               => 'fa-print',
		'fa-camera'                              => 'fa-camera',
		'fa-font'                                => 'fa-font',
		'fa-bold'                                => 'fa-bold',
		'fa-italic'                              => 'fa-italic',
		'fa-text-height'                         => 'fa-text-height',
		'fa-text-width'                          => 'fa-text-width',
		'fa-align-left'                          => 'fa-align-left',
		'fa-align-center'                        => 'fa-align-center',
		'fa-align-right'                         => 'fa-align-right',
		'fa-align-justify'                       => 'fa-align-justify',
		'fa-list'                                => 'fa-list',
		'fa-outdent'                             => 'fa-outdent',
		'fa-indent'                              => 'fa-indent',
		'fa-video-camera'                        => 'fa-video-camera',
		'fa-picture-o'                           => 'fa-picture-o',
		'fa-pencil'                              => 'fa-pencil',
		'fa-map-marker'                          => 'fa-map-marker',
		'fa-adjust'                              => 'fa-adjust',
		'fa-tint'                                => 'fa-tint',
		'fa-pencil-square-o'                     => 'fa-pencil-square-o',
		'fa-share-square-o'                      => 'fa-share-square-o',
		'fa-check-square-o'                      => 'fa-check-square-o',
		'fa-arrows'                              => 'fa-arrows',
		'fa-step-backward'                       => 'fa-step-backward',
		'fa-fast-backward'                       => 'fa-fast-backward',
		'fa-backward'                            => 'fa-backward',
		'fa-play'                                => 'fa-play',
		'fa-pause'                               => 'fa-pause',
		'fa-stop'                                => 'fa-stop',
		'fa-forward'                             => 'fa-forward',
		'fa-fast-forward'                        => 'fa-fast-forward',
		'fa-step-forward'                        => 'fa-step-forward',
		'fa-eject'                               => 'fa-eject',
		'fa-chevron-left'                        => 'fa-chevron-left',
		'fa-chevron-right'                       => 'fa-chevron-right',
		'fa-plus-circle'                         => 'fa-plus-circle',
		'fa-minus-circle'                        => 'fa-minus-circle',
		'fa-times-circle'                        => 'fa-times-circle',
		'fa-check-circle'                        => 'fa-check-circle',
		'fa-question-circle'                     => 'fa-question-circle',
		'fa-info-circle'                         => 'fa-info-circle',
		'fa-crosshairs'                          => 'fa-crosshairs',
		'fa-times-circle-o'                      => 'fa-times-circle-o',
		'fa-check-circle-o'                      => 'fa-check-circle-o',
		'fa-ban'                                 => 'fa-ban',
		'fa-arrow-left'                          => 'fa-arrow-left',
		'fa-arrow-right'                         => 'fa-arrow-right',
		'fa-arrow-up'                            => 'fa-arrow-up',
		'fa-arrow-down'                          => 'fa-arrow-down',
		'fa-share'                               => 'fa-share',
		'fa-expand'                              => 'fa-expand',
		'fa-compress'                            => 'fa-compress',
		'fa-plus'                                => 'fa-plus',
		'fa-minus'                               => 'fa-minus',
		'fa-asterisk'                            => 'fa-asterisk',
		'fa-exclamation-circle'                  => 'fa-exclamation-circle',
		'fa-gift'                                => 'fa-gift',
		'fa-leaf'                                => 'fa-leaf',
		'fa-fire'                                => 'fa-fire',
		'fa-eye'                                 => 'fa-eye',
		'fa-eye-slash'                           => 'fa-eye-slash',
		'fa-exclamation-triangle'                => 'fa-exclamation-triangle',
		'fa-plane'                               => 'fa-plane',
		'fa-calendar'                            => 'fa-calendar',
		'fa-random'                              => 'fa-random',
		'fa-comment'                             => 'fa-comment',
		'fa-magnet'                              => 'fa-magnet',
		'fa-chevron-up'                          => 'fa-chevron-up',
		'fa-chevron-down'                        => 'fa-chevron-down',
		'fa-retweet'                             => 'fa-retweet',
		'fa-shopping-cart'                       => 'fa-shopping-cart',
		'fa-folder'                              => 'fa-folder',
		'fa-folder-open'                         => 'fa-folder-open',
		'fa-arrows-v'                            => 'fa-arrows-v',
		'fa-arrows-h'                            => 'fa-arrows-h',
		'fa-bar-chart'                           => 'fa-bar-chart',
		'fa-twitter-square'                      => 'fa-twitter-square',
		'fa-facebook-square'                     => 'fa-facebook-square',
		'fa-camera-retro'                        => 'fa-camera-retro',
		'fa-key'                                 => 'fa-key',
		'fa-cogs'                                => 'fa-cogs',
		'fa-comments'                            => 'fa-comments',
		'fa-thumbs-o-up'                         => 'fa-thumbs-o-up',
		'fa-thumbs-o-down'                       => 'fa-thumbs-o-down',
		'fa-star-half'                           => 'fa-star-half',
		'fa-heart-o'                             => 'fa-heart-o',
		'fa-sign-out'                            => 'fa-sign-out',
		'fa-linkedin-square'                     => 'fa-linkedin-square',
		'fa-thumb-tack'                          => 'fa-thumb-tack',
		'fa-external-link'                       => 'fa-external-link',
		'fa-sign-in'                             => 'fa-sign-in',
		'fa-trophy'                              => 'fa-trophy',
		'fa-github-square'                       => 'fa-github-square',
		'fa-upload'                              => 'fa-upload',
		'fa-lemon-o'                             => 'fa-lemon-o',
		'fa-phone'                               => 'fa-phone',
		'fa-square-o'                            => 'fa-square-o',
		'fa-bookmark-o'                          => 'fa-bookmark-o',
		'fa-phone-square'                        => 'fa-phone-square',
		'fa-twitter'                             => 'fa-twitter',
		'fa-facebook'                            => 'fa-facebook',
		'fa-github'                              => 'fa-github',
		'fa-unlock'                              => 'fa-unlock',
		'fa-credit-card'                         => 'fa-credit-card',
		'fa-rss'                                 => 'fa-rss',
		'fa-hdd-o'                               => 'fa-hdd-o',
		'fa-bullhorn'                            => 'fa-bullhorn',
		'fa-bell'                                => 'fa-bell',
		'fa-certificate'                         => 'fa-certificate',
		'fa-hand-o-right'                        => 'fa-hand-o-right',
		'fa-hand-o-left'                         => 'fa-hand-o-left',
		'fa-hand-o-up'                           => 'fa-hand-o-up',
		'fa-hand-o-down'                         => 'fa-hand-o-down',
		'fa-arrow-circle-left'                   => 'fa-arrow-circle-left',
		'fa-arrow-circle-right'                  => 'fa-arrow-circle-right',
		'fa-arrow-circle-up'                     => 'fa-arrow-circle-up',
		'fa-arrow-circle-down'                   => 'fa-arrow-circle-down',
		'fa-globe'                               => 'fa-globe',
		'fa-wrench'                              => 'fa-wrench',
		'fa-tasks'                               => 'fa-tasks',
		'fa-filter'                              => 'fa-filter',
		'fa-briefcase'                           => 'fa-briefcase',
		'fa-arrows-alt'                          => 'fa-arrows-alt',
		'fa-users'                               => 'fa-users',
		'fa-link'                                => 'fa-link',
		'fa-cloud'                               => 'fa-cloud',
		'fa-flask'                               => 'fa-flask',
		'fa-scissors'                            => 'fa-scissors',
		'fa-files-o'                             => 'fa-files-o',
		'fa-paperclip'                           => 'fa-paperclip',
		'fa-floppy-o'                            => 'fa-floppy-o',
		'fa-square'                              => 'fa-square',
		'fa-bars'                                => 'fa-bars',
		'fa-list-ul'                             => 'fa-list-ul',
		'fa-list-ol'                             => 'fa-list-ol',
		'fa-strikethrough'                       => 'fa-strikethrough',
		'fa-underline'                           => 'fa-underline',
		'fa-table'                               => 'fa-table',
		'fa-magic'                               => 'fa-magic',
		'fa-truck'                               => 'fa-truck',
		'fa-pinterest'                           => 'fa-pinterest',
		'fa-pinterest-square'                    => 'fa-pinterest-square',
		'fa-google-plus-square'                  => 'fa-google-plus-square',
		'fa-google-plus'                         => 'fa-google-plus',
		'fa-money'                               => 'fa-money',
		'fa-caret-down'                          => 'fa-caret-down',
		'fa-caret-up'                            => 'fa-caret-up',
		'fa-caret-left'                          => 'fa-caret-left',
		'fa-caret-right'                         => 'fa-caret-right',
		'fa-columns'                             => 'fa-columns',
		'fa-sort'                                => 'fa-sort',
		'fa-sort-desc'                           => 'fa-sort-desc',
		'fa-sort-asc'                            => 'fa-sort-asc',
		'fa-envelope'                            => 'fa-envelope',
		'fa-linkedin'                            => 'fa-linkedin',
		'fa-undo'                                => 'fa-undo',
		'fa-gavel'                               => 'fa-gavel',
		'fa-tachometer'                          => 'fa-tachometer',
		'fa-comment-o'                           => 'fa-comment-o',
		'fa-comments-o'                          => 'fa-comments-o',
		'fa-bolt'                                => 'fa-bolt',
		'fa-sitemap'                             => 'fa-sitemap',
		'fa-umbrella'                            => 'fa-umbrella',
		'fa-clipboard'                           => 'fa-clipboard',
		'fa-lightbulb-o'                         => 'fa-lightbulb-o',
		'fa-exchange'                            => 'fa-exchange',
		'fa-cloud-download'                      => 'fa-cloud-download',
		'fa-cloud-upload'                        => 'fa-cloud-upload',
		'fa-user-md'                             => 'fa-user-md',
		'fa-stethoscope'                         => 'fa-stethoscope',
		'fa-suitcase'                            => 'fa-suitcase',
		'fa-bell-o'                              => 'fa-bell-o',
		'fa-coffee'                              => 'fa-coffee',
		'fa-cutlery'                             => 'fa-cutlery',
		'fa-file-text-o'                         => 'fa-file-text-o',
		'fa-building-o'                          => 'fa-building-o',
		'fa-hospital-o'                          => 'fa-hospital-o',
		'fa-ambulance'                           => 'fa-ambulance',
		'fa-medkit'                              => 'fa-medkit',
		'fa-fighter-jet'                         => 'fa-fighter-jet',
		'fa-beer'                                => 'fa-beer',
		'fa-h-square'                            => 'fa-h-square',
		'fa-plus-square'                         => 'fa-plus-square',
		'fa-angle-double-left'                   => 'fa-angle-double-left',
		'fa-angle-double-right'                  => 'fa-angle-double-right',
		'fa-angle-double-up'                     => 'fa-angle-double-up',
		'fa-angle-double-down'                   => 'fa-angle-double-down',
		'fa-angle-left'                          => 'fa-angle-left',
		'fa-angle-right'                         => 'fa-angle-right',
		'fa-angle-up'                            => 'fa-angle-up',
		'fa-angle-down'                          => 'fa-angle-down',
		'fa-desktop'                             => 'fa-desktop',
		'fa-laptop'                              => 'fa-laptop',
		'fa-tablet'                              => 'fa-tablet',
		'fa-mobile'                              => 'fa-mobile',
		'fa-circle-o'                            => 'fa-circle-o',
		'fa-quote-left'                          => 'fa-quote-left',
		'fa-quote-right'                         => 'fa-quote-right',
		'fa-spinner'                             => 'fa-spinner',
		'fa-circle'                              => 'fa-circle',
		'fa-reply'                               => 'fa-reply',
		'fa-github-alt'                          => 'fa-github-alt',
		'fa-folder-o'                            => 'fa-folder-o',
		'fa-folder-open-o'                       => 'fa-folder-open-o',
		'fa-smile-o'                             => 'fa-smile-o',
		'fa-frown-o'                             => 'fa-frown-o',
		'fa-meh-o'                               => 'fa-meh-o',
		'fa-gamepad'                             => 'fa-gamepad',
		'fa-keyboard-o'                          => 'fa-keyboard-o',
		'fa-flag-o'                              => 'fa-flag-o',
		'fa-flag-checkered'                      => 'fa-flag-checkered',
		'fa-terminal'                            => 'fa-terminal',
		'fa-code'                                => 'fa-code',
		'fa-reply-all'                           => 'fa-reply-all',
		'fa-star-half-o'                         => 'fa-star-half-o',
		'fa-location-arrow'                      => 'fa-location-arrow',
		'fa-crop'                                => 'fa-crop',
		'fa-code-fork'                           => 'fa-code-fork',
		'fa-chain-broken'                        => 'fa-chain-broken',
		'fa-question'                            => 'fa-question',
		'fa-info'                                => 'fa-info',
		'fa-exclamation'                         => 'fa-exclamation',
		'fa-superscript'                         => 'fa-superscript',
		'fa-subscript'                           => 'fa-subscript',
		'fa-eraser'                              => 'fa-eraser',
		'fa-puzzle-piece'                        => 'fa-puzzle-piece',
		'fa-microphone'                          => 'fa-microphone',
		'fa-microphone-slash'                    => 'fa-microphone-slash',
		'fa-shield'                              => 'fa-shield',
		'fa-calendar-o'                          => 'fa-calendar-o',
		'fa-fire-extinguisher'                   => 'fa-fire-extinguisher',
		'fa-rocket'                              => 'fa-rocket',
		'fa-maxcdn'                              => 'fa-maxcdn',
		'fa-chevron-circle-left'                 => 'fa-chevron-circle-left',
		'fa-chevron-circle-right'                => 'fa-chevron-circle-right',
		'fa-chevron-circle-up'                   => 'fa-chevron-circle-up',
		'fa-chevron-circle-down'                 => 'fa-chevron-circle-down',
		'fa-html5'                               => 'fa-html5',
		'fa-css3'                                => 'fa-css3',
		'fa-anchor'                              => 'fa-anchor',
		'fa-unlock-alt'                          => 'fa-unlock-alt',
		'fa-bullseye'                            => 'fa-bullseye',
		'fa-ellipsis-h'                          => 'fa-ellipsis-h',
		'fa-ellipsis-v'                          => 'fa-ellipsis-v',
		'fa-rss-square'                          => 'fa-rss-square',
		'fa-play-circle'                         => 'fa-play-circle',
		'fa-ticket'                              => 'fa-ticket',
		'fa-minus-square'                        => 'fa-minus-square',
		'fa-minus-square-o'                      => 'fa-minus-square-o',
		'fa-level-up'                            => 'fa-level-up',
		'fa-level-down'                          => 'fa-level-down',
		'fa-check-square'                        => 'fa-check-square',
		'fa-pencil-square'                       => 'fa-pencil-square',
		'fa-external-link-square'                => 'fa-external-link-square',
		'fa-share-square'                        => 'fa-share-square',
		'fa-compass'                             => 'fa-compass',
		'fa-caret-square-o-down'                 => 'fa-caret-square-o-down',
		'fa-caret-square-o-up'                   => 'fa-caret-square-o-up',
		'fa-caret-square-o-right'                => 'fa-caret-square-o-right',
		'fa-eur'                                 => 'fa-eur',
		'fa-gbp'                                 => 'fa-gbp',
		'fa-usd'                                 => 'fa-usd',
		'fa-inr'                                 => 'fa-inr',
		'fa-jpy'                                 => 'fa-jpy',
		'fa-rub'                                 => 'fa-rub',
		'fa-krw'                                 => 'fa-krw',
		'fa-btc'                                 => 'fa-btc',
		'fa-file'                                => 'fa-file',
		'fa-file-text'                           => 'fa-file-text',
		'fa-sort-alpha-asc'                      => 'fa-sort-alpha-asc',
		'fa-sort-alpha-desc'                     => 'fa-sort-alpha-desc',
		'fa-sort-amount-asc'                     => 'fa-sort-amount-asc',
		'fa-sort-amount-desc'                    => 'fa-sort-amount-desc',
		'fa-sort-numeric-asc'                    => 'fa-sort-numeric-asc',
		'fa-sort-numeric-desc'                   => 'fa-sort-numeric-desc',
		'fa-thumbs-up'                           => 'fa-thumbs-up',
		'fa-thumbs-down'                         => 'fa-thumbs-down',
		'fa-youtube-square'                      => 'fa-youtube-square',
		'fa-youtube'                             => 'fa-youtube',
		'fa-xing'                                => 'fa-xing',
		'fa-xing-square'                         => 'fa-xing-square',
		'fa-youtube-play'                        => 'fa-youtube-play',
		'fa-dropbox'                             => 'fa-dropbox',
		'fa-stack-overflow'                      => 'fa-stack-overflow',
		'fa-instagram'                           => 'fa-instagram',
		'fa-flickr'                              => 'fa-flickr',
		'fa-adn'                                 => 'fa-adn',
		'fa-bitbucket'                           => 'fa-bitbucket',
		'fa-bitbucket-square'                    => 'fa-bitbucket-square',
		'fa-tumblr'                              => 'fa-tumblr',
		'fa-tumblr-square'                       => 'fa-tumblr-square',
		'fa-long-arrow-down'                     => 'fa-long-arrow-down',
		'fa-long-arrow-up'                       => 'fa-long-arrow-up',
		'fa-long-arrow-left'                     => 'fa-long-arrow-left',
		'fa-long-arrow-right'                    => 'fa-long-arrow-right',
		'fa-apple'                               => 'fa-apple',
		'fa-windows'                             => 'fa-windows',
		'fa-android'                             => 'fa-android',
		'fa-linux'                               => 'fa-linux',
		'fa-dribbble'                            => 'fa-dribbble',
		'fa-skype'                               => 'fa-skype',
		'fa-foursquare'                          => 'fa-foursquare',
		'fa-trello'                              => 'fa-trello',
		'fa-female'                              => 'fa-female',
		'fa-male'                                => 'fa-male',
		'fa-gratipay'                            => 'fa-gratipay',
		'fa-sun-o'                               => 'fa-sun-o',
		'fa-moon-o'                              => 'fa-moon-o',
		'fa-archive'                             => 'fa-archive',
		'fa-bug'                                 => 'fa-bug',
		'fa-vk'                                  => 'fa-vk',
		'fa-weibo'                               => 'fa-weibo',
		'fa-renren'                              => 'fa-renren',
		'fa-pagelines'                           => 'fa-pagelines',
		'fa-stack-exchange'                      => 'fa-stack-exchange',
		'fa-arrow-circle-o-right'                => 'fa-arrow-circle-o-right',
		'fa-arrow-circle-o-left'                 => 'fa-arrow-circle-o-left',
		'fa-caret-square-o-left'                 => 'fa-caret-square-o-left',
		'fa-dot-circle-o'                        => 'fa-dot-circle-o',
		'fa-wheelchair'                          => 'fa-wheelchair',
		'fa-vimeo-square'                        => 'fa-vimeo-square',
		'fa-try'                                 => 'fa-try',
		'fa-plus-square-o'                       => 'fa-plus-square-o',
		'fa-space-shuttle'                       => 'fa-space-shuttle',
		'fa-slack'                               => 'fa-slack',
		'fa-envelope-square'                     => 'fa-envelope-square',
		'fa-wordpress'                           => 'fa-wordpress',
		'fa-openid'                              => 'fa-openid',
		'fa-university'                          => 'fa-university',
		'fa-graduation-cap'                      => 'fa-graduation-cap',
		'fa-yahoo'                               => 'fa-yahoo',
		'fa-google'                              => 'fa-google',
		'fa-reddit'                              => 'fa-reddit',
		'fa-reddit-square'                       => 'fa-reddit-square',
		'fa-stumbleupon-circle'                  => 'fa-stumbleupon-circle',
		'fa-stumbleupon'                         => 'fa-stumbleupon',
		'fa-delicious'                           => 'fa-delicious',
		'fa-digg'                                => 'fa-digg',
		'fa-pied-piper-pp'                       => 'fa-pied-piper-pp',
		'fa-pied-piper-alt'                      => 'fa-pied-piper-alt',
		'fa-drupal'                              => 'fa-drupal',
		'fa-joomla'                              => 'fa-joomla',
		'fa-language'                            => 'fa-language',
		'fa-fax'                                 => 'fa-fax',
		'fa-building'                            => 'fa-building',
		'fa-child'                               => 'fa-child',
		'fa-paw'                                 => 'fa-paw',
		'fa-spoon'                               => 'fa-spoon',
		'fa-cube'                                => 'fa-cube',
		'fa-cubes'                               => 'fa-cubes',
		'fa-behance'                             => 'fa-behance',
		'fa-behance-square'                      => 'fa-behance-square',
		'fa-steam'                               => 'fa-steam',
		'fa-steam-square'                        => 'fa-steam-square',
		'fa-recycle'                             => 'fa-recycle',
		'fa-car'                                 => 'fa-car',
		'fa-taxi'                                => 'fa-taxi',
		'fa-tree'                                => 'fa-tree',
		'fa-spotify'                             => 'fa-spotify',
		'fa-deviantart'                          => 'fa-deviantart',
		'fa-soundcloud'                          => 'fa-soundcloud',
		'fa-database'                            => 'fa-database',
		'fa-file-pdf-o'                          => 'fa-file-pdf-o',
		'fa-file-word-o'                         => 'fa-file-word-o',
		'fa-file-excel-o'                        => 'fa-file-excel-o',
		'fa-file-powerpoint-o'                   => 'fa-file-powerpoint-o',
		'fa-file-image-o'                        => 'fa-file-image-o',
		'fa-file-archive-o'                      => 'fa-file-archive-o',
		'fa-file-audio-o'                        => 'fa-file-audio-o',
		'fa-file-video-o'                        => 'fa-file-video-o',
		'fa-file-code-o'                         => 'fa-file-code-o',
		'fa-vine'                                => 'fa-vine',
		'fa-codepen'                             => 'fa-codepen',
		'fa-jsfiddle'                            => 'fa-jsfiddle',
		'fa-life-ring'                           => 'fa-life-ring',
		'fa-circle-o-notch'                      => 'fa-circle-o-notch',
		'fa-rebel'                               => 'fa-rebel',
		'fa-empire'                              => 'fa-empire',
		'fa-git-square'                          => 'fa-git-square',
		'fa-git'                                 => 'fa-git',
		'fa-hacker-news'                         => 'fa-hacker-news',
		'fa-tencent-weibo'                       => 'fa-tencent-weibo',
		'fa-qq'                                  => 'fa-qq',
		'fa-weixin'                              => 'fa-weixin',
		'fa-paper-plane'                         => 'fa-paper-plane',
		'fa-paper-plane-o'                       => 'fa-paper-plane-o',
		'fa-history'                             => 'fa-history',
		'fa-circle-thin'                         => 'fa-circle-thin',
		'fa-header'                              => 'fa-header',
		'fa-paragraph'                           => 'fa-paragraph',
		'fa-sliders'                             => 'fa-sliders',
		'fa-share-alt'                           => 'fa-share-alt',
		'fa-share-alt-square'                    => 'fa-share-alt-square',
		'fa-bomb'                                => 'fa-bomb',
		'fa-futbol-o'                            => 'fa-futbol-o',
		'fa-tty'                                 => 'fa-tty',
		'fa-binoculars'                          => 'fa-binoculars',
		'fa-plug'                                => 'fa-plug',
		'fa-slideshare'                          => 'fa-slideshare',
		'fa-twitch'                              => 'fa-twitch',
		'fa-yelp'                                => 'fa-yelp',
		'fa-newspaper-o'                         => 'fa-newspaper-o',
		'fa-wifi'                                => 'fa-wifi',
		'fa-calculator'                          => 'fa-calculator',
		'fa-paypal'                              => 'fa-paypal',
		'fa-google-wallet'                       => 'fa-google-wallet',
		'fa-cc-visa'                             => 'fa-cc-visa',
		'fa-cc-mastercard'                       => 'fa-cc-mastercard',
		'fa-cc-discover'                         => 'fa-cc-discover',
		'fa-cc-amex'                             => 'fa-cc-amex',
		'fa-cc-paypal'                           => 'fa-cc-paypal',
		'fa-cc-stripe'                           => 'fa-cc-stripe',
		'fa-bell-slash'                          => 'fa-bell-slash',
		'fa-bell-slash-o'                        => 'fa-bell-slash-o',
		'fa-trash'                               => 'fa-trash',
		'fa-copyright'                           => 'fa-copyright',
		'fa-at'                                  => 'fa-at',
		'fa-eyedropper'                          => 'fa-eyedropper',
		'fa-paint-brush'                         => 'fa-paint-brush',
		'fa-birthday-cake'                       => 'fa-birthday-cake',
		'fa-area-chart'                          => 'fa-area-chart',
		'fa-pie-chart'                           => 'fa-pie-chart',
		'fa-line-chart'                          => 'fa-line-chart',
		'fa-lastfm'                              => 'fa-lastfm',
		'fa-lastfm-square'                       => 'fa-lastfm-square',
		'fa-toggle-off'                          => 'fa-toggle-off',
		'fa-toggle-on'                           => 'fa-toggle-on',
		'fa-bicycle'                             => 'fa-bicycle',
		'fa-bus'                                 => 'fa-bus',
		'fa-ioxhost'                             => 'fa-ioxhost',
		'fa-angellist'                           => 'fa-angellist',
		'fa-cc'                                  => 'fa-cc',
		'fa-ils'                                 => 'fa-ils',
		'fa-meanpath'                            => 'fa-meanpath',
		'fa-buysellads'                          => 'fa-buysellads',
		'fa-connectdevelop'                      => 'fa-connectdevelop',
		'fa-dashcube'                            => 'fa-dashcube',
		'fa-forumbee'                            => 'fa-forumbee',
		'fa-leanpub'                             => 'fa-leanpub',
		'fa-sellsy'                              => 'fa-sellsy',
		'fa-shirtsinbulk'                        => 'fa-shirtsinbulk',
		'fa-simplybuilt'                         => 'fa-simplybuilt',
		'fa-skyatlas'                            => 'fa-skyatlas',
		'fa-cart-plus'                           => 'fa-cart-plus',
		'fa-cart-arrow-down'                     => 'fa-cart-arrow-down',
		'fa-diamond'                             => 'fa-diamond',
		'fa-ship'                                => 'fa-ship',
		'fa-user-secret'                         => 'fa-user-secret',
		'fa-motorcycle'                          => 'fa-motorcycle',
		'fa-street-view'                         => 'fa-street-view',
		'fa-heartbeat'                           => 'fa-heartbeat',
		'fa-venus'                               => 'fa-venus',
		'fa-mars'                                => 'fa-mars',
		'fa-mercury'                             => 'fa-mercury',
		'fa-transgender'                         => 'fa-transgender',
		'fa-transgender-alt'                     => 'fa-transgender-alt',
		'fa-venus-double'                        => 'fa-venus-double',
		'fa-mars-double'                         => 'fa-mars-double',
		'fa-venus-mars'                          => 'fa-venus-mars',
		'fa-mars-stroke'                         => 'fa-mars-stroke',
		'fa-mars-stroke-v'                       => 'fa-mars-stroke-v',
		'fa-mars-stroke-h'                       => 'fa-mars-stroke-h',
		'fa-neuter'                              => 'fa-neuter',
		'fa-genderless'                          => 'fa-genderless',
		'fa-facebook-official'                   => 'fa-facebook-official',
		'fa-pinterest-p'                         => 'fa-pinterest-p',
		'fa-whatsapp'                            => 'fa-whatsapp',
		'fa-server'                              => 'fa-server',
		'fa-user-plus'                           => 'fa-user-plus',
		'fa-user-times'                          => 'fa-user-times',
		'fa-bed'                                 => 'fa-bed',
		'fa-viacoin'                             => 'fa-viacoin',
		'fa-train'                               => 'fa-train',
		'fa-subway'                              => 'fa-subway',
		'fa-medium'                              => 'fa-medium',
		'fa-y-combinator'                        => 'fa-y-combinator',
		'fa-optin-monster'                       => 'fa-optin-monster',
		'fa-opencart'                            => 'fa-opencart',
		'fa-expeditedssl'                        => 'fa-expeditedssl',
		'fa-battery-full'                        => 'fa-battery-full',
		'fa-battery-three-quarters'              => 'fa-battery-three-quarters',
		'fa-battery-half'                        => 'fa-battery-half',
		'fa-battery-quarter'                     => 'fa-battery-quarter',
		'fa-battery-empty'                       => 'fa-battery-empty',
		'fa-mouse-pointer'                       => 'fa-mouse-pointer',
		'fa-i-cursor'                            => 'fa-i-cursor',
		'fa-object-group'                        => 'fa-object-group',
		'fa-object-ungroup'                      => 'fa-object-ungroup',
		'fa-sticky-note'                         => 'fa-sticky-note',
		'fa-sticky-note-o'                       => 'fa-sticky-note-o',
		'fa-cc-jcb'                              => 'fa-cc-jcb',
		'fa-cc-diners-club'                      => 'fa-cc-diners-club',
		'fa-clone'                               => 'fa-clone',
		'fa-balance-scale'                       => 'fa-balance-scale',
		'fa-hourglass-o'                         => 'fa-hourglass-o',
		'fa-hourglass-start'                     => 'fa-hourglass-start',
		'fa-hourglass-half'                      => 'fa-hourglass-half',
		'fa-hourglass-end'                       => 'fa-hourglass-end',
		'fa-hourglass'                           => 'fa-hourglass',
		'fa-hand-rock-o'                         => 'fa-hand-rock-o',
		'fa-hand-paper-o'                        => 'fa-hand-paper-o',
		'fa-hand-scissors-o'                     => 'fa-hand-scissors-o',
		'fa-hand-lizard-o'                       => 'fa-hand-lizard-o',
		'fa-hand-spock-o'                        => 'fa-hand-spock-o',
		'fa-hand-pointer-o'                      => 'fa-hand-pointer-o',
		'fa-hand-peace-o'                        => 'fa-hand-peace-o',
		'fa-trademark'                           => 'fa-trademark',
		'fa-registered'                          => 'fa-registered',
		'fa-creative-commons'                    => 'fa-creative-commons',
		'fa-gg'                                  => 'fa-gg',
		'fa-gg-circle'                           => 'fa-gg-circle',
		'fa-tripadvisor'                         => 'fa-tripadvisor',
		'fa-odnoklassniki'                       => 'fa-odnoklassniki',
		'fa-odnoklassniki-square'                => 'fa-odnoklassniki-square',
		'fa-get-pocket'                          => 'fa-get-pocket',
		'fa-wikipedia-w'                         => 'fa-wikipedia-w',
		'fa-safari'                              => 'fa-safari',
		'fa-chrome'                              => 'fa-chrome',
		'fa-firefox'                             => 'fa-firefox',
		'fa-opera'                               => 'fa-opera',
		'fa-internet-explorer'                   => 'fa-internet-explorer',
		'fa-television'                          => 'fa-television',
		'fa-contao'                              => 'fa-contao',
		'fa-500px'                               => 'fa-500px',
		'fa-amazon'                              => 'fa-amazon',
		'fa-calendar-plus-o'                     => 'fa-calendar-plus-o',
		'fa-calendar-minus-o'                    => 'fa-calendar-minus-o',
		'fa-calendar-times-o'                    => 'fa-calendar-times-o',
		'fa-calendar-check-o'                    => 'fa-calendar-check-o',
		'fa-industry'                            => 'fa-industry',
		'fa-map-pin'                             => 'fa-map-pin',
		'fa-map-signs'                           => 'fa-map-signs',
		'fa-map-o'                               => 'fa-map-o',
		'fa-map'                                 => 'fa-map',
		'fa-commenting'                          => 'fa-commenting',
		'fa-commenting-o'                        => 'fa-commenting-o',
		'fa-houzz'                               => 'fa-houzz',
		'fa-vimeo'                               => 'fa-vimeo',
		'fa-black-tie'                           => 'fa-black-tie',
		'fa-fonticons'                           => 'fa-fonticons',
		'fa-reddit-alien'                        => 'fa-reddit-alien',
		'fa-edge'                                => 'fa-edge',
		'fa-credit-card-alt'                     => 'fa-credit-card-alt',
		'fa-codiepie'                            => 'fa-codiepie',
		'fa-modx'                                => 'fa-modx',
		'fa-fort-awesome'                        => 'fa-fort-awesome',
		'fa-usb'                                 => 'fa-usb',
		'fa-product-hunt'                        => 'fa-product-hunt',
		'fa-mixcloud'                            => 'fa-mixcloud',
		'fa-scribd'                              => 'fa-scribd',
		'fa-pause-circle'                        => 'fa-pause-circle',
		'fa-pause-circle-o'                      => 'fa-pause-circle-o',
		'fa-stop-circle'                         => 'fa-stop-circle',
		'fa-stop-circle-o'                       => 'fa-stop-circle-o',
		'fa-shopping-bag'                        => 'fa-shopping-bag',
		'fa-shopping-basket'                     => 'fa-shopping-basket',
		'fa-hashtag'                             => 'fa-hashtag',
		'fa-bluetooth'                           => 'fa-bluetooth',
		'fa-bluetooth-b'                         => 'fa-bluetooth-b',
		'fa-percent'                             => 'fa-percent',
		'fa-gitlab'                              => 'fa-gitlab',
		'fa-wpbeginner'                          => 'fa-wpbeginner',
		'fa-wpforms'                             => 'fa-wpforms',
		'fa-envira'                              => 'fa-envira',
		'fa-universal-access'                    => 'fa-universal-access',
		'fa-wheelchair-alt'                      => 'fa-wheelchair-alt',
		'fa-question-circle-o'                   => 'fa-question-circle-o',
		'fa-blind'                               => 'fa-blind',
		'fa-audio-description'                   => 'fa-audio-description',
		'fa-volume-control-phone'                => 'fa-volume-control-phone',
		'fa-braille'                             => 'fa-braille',
		'fa-assistive-listening-systems'         => 'fa-assistive-listening-systems',
		'fa-american-sign-language-interpreting' => 'fa-american-sign-language-interpreting',
		'fa-deaf'                                => 'fa-deaf',
		'fa-glide'                               => 'fa-glide',
		'fa-glide-g'                             => 'fa-glide-g',
		'fa-sign-language'                       => 'fa-sign-language',
		'fa-low-vision'                          => 'fa-low-vision',
		'fa-viadeo'                              => 'fa-viadeo',
		'fa-viadeo-square'                       => 'fa-viadeo-square',
		'fa-snapchat'                            => 'fa-snapchat',
		'fa-snapchat-ghost'                      => 'fa-snapchat-ghost',
		'fa-snapchat-square'                     => 'fa-snapchat-square',
		'fa-pied-piper'                          => 'fa-pied-piper',
		'fa-first-order'                         => 'fa-first-order',
		'fa-yoast'                               => 'fa-yoast',
		'fa-themeisle'                           => 'fa-themeisle',
		'fa-google-plus-official'                => 'fa-google-plus-official',
		'fa-font-awesome'                        => 'fa-font-awesome',
		'fa-handshake-o'                         => 'fa-handshake-o',
		'fa-envelope-open'                       => 'fa-envelope-open',
		'fa-envelope-open-o'                     => 'fa-envelope-open-o',
		'fa-linode'                              => 'fa-linode',
		'fa-address-book'                        => 'fa-address-book',
		'fa-address-book-o'                      => 'fa-address-book-o',
		'fa-address-card'                        => 'fa-address-card',
		'fa-address-card-o'                      => 'fa-address-card-o',
		'fa-user-circle'                         => 'fa-user-circle',
		'fa-user-circle-o'                       => 'fa-user-circle-o',
		'fa-user-o'                              => 'fa-user-o',
		'fa-id-badge'                            => 'fa-id-badge',
		'fa-id-card'                             => 'fa-id-card',
		'fa-id-card-o'                           => 'fa-id-card-o',
		'fa-quora'                               => 'fa-quora',
		'fa-free-code-camp'                      => 'fa-free-code-camp',
		'fa-telegram'                            => 'fa-telegram',
		'fa-thermometer-full'                    => 'fa-thermometer-full',
		'fa-thermometer-three-quarters'          => 'fa-thermometer-three-quarters',
		'fa-thermometer-half'                    => 'fa-thermometer-half',
		'fa-thermometer-quarter'                 => 'fa-thermometer-quarter',
		'fa-thermometer-empty'                   => 'fa-thermometer-empty',
		'fa-shower'                              => 'fa-shower',
		'fa-bath'                                => 'fa-bath',
		'fa-podcast'                             => 'fa-podcast',
		'fa-window-maximize'                     => 'fa-window-maximize',
		'fa-window-minimize'                     => 'fa-window-minimize',
		'fa-window-restore'                      => 'fa-window-restore',
		'fa-window-close'                        => 'fa-window-close',
		'fa-window-close-o'                      => 'fa-window-close-o',
		'fa-bandcamp'                            => 'fa-bandcamp',
		'fa-grav'                                => 'fa-grav',
		'fa-etsy'                                => 'fa-etsy',
		'fa-imdb'                                => 'fa-imdb',
		'fa-ravelry'                             => 'fa-ravelry',
		'fa-eercast'                             => 'fa-eercast',
		'fa-microchip'                           => 'fa-microchip',
		'fa-snowflake-o'                         => 'fa-snowflake-o',
		'fa-superpowers'                         => 'fa-superpowers',
		'fa-wpexplorer'                          => 'fa-wpexplorer',
		'fa-meetup'                              => 'fa-meetup',
	);
	return $icons;
}
/* Display Post Bottom Elements */
function thb_PostInfo( $author = false, $time = false, $comment = false, $views = false ) {
	$post_meta = ot_get_option( 'post_meta' ) ? ot_get_option( 'post_meta' ) : array();

	?>
	<aside class="post-bottom-meta">
		<?php
		if ( 'on' == ot_get_option( 'author_avatars', 'off' ) ) {
			$class = ( ! $author || in_array( 'author', $post_meta ) ) ? 'hide' : '';
			?>
		<div class="<?php echo esc_attr( $class ); ?>">
			<?php
			echo get_avatar(
				get_the_author_meta( 'ID' ),
				'48',
				'',
				'',
				array(
					'class' => 'thb-ignore-lazyload',
				)
			);
			?>
		</div>
		<?php } ?>
		<?php if ( $author && ! in_array( 'author', $post_meta ) ) { ?>
		<strong itemprop="author" class="author vcard"><?php the_author_posts_link(); ?></strong>
		<?php } ?>
		<?php if ( $time && ! in_array( 'post-date', $post_meta ) ) { ?>
		<div class="time"><?php echo esc_attr( thb_human_time_diff_enhanced() ); ?></div>
		<?php } ?>
		<?php if ( $comment && ! in_array( 'comments', $post_meta ) ) { ?>
			<span class="comment">
				<a href="<?php comments_link(); ?>" title="<?php the_title_attribute(); ?>">
					<svg class="comment_icon" width="13px" height="13px" viewBox="0 0 13 13"><use href="#comment_icon" /></svg> <?php echo get_comments_number(); ?>
				</a>
			</span>
			<?php } ?>
			<?php if ( $views && function_exists( 'stats_get_csv' ) && ! in_array( 'views', $post_meta ) ) { ?>
				<?php
					echo '<span class="views"> ';
				if ( is_numeric( $views ) && ! is_bool( $views ) ) {
					echo thb_numberAbbreviation( $views );
				} else {
					do_action( 'thb_post_viewcount' );
				}
					echo ' <em>' . esc_html__( 'views', 'goodlife' ) . '</em></span>';
				?>
			<?php } ?>
	</aside>
	<?php
}
add_action( 'thb_PostInfo', 'thb_PostInfo', 10, 4 );

/* Display Post Bottom Elements */
if ( ! function_exists( 'thb_PostMeta' ) ) {
	function thb_PostMeta() {
		$logo       = ot_get_option( 'thb_logo', Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/logo.png' );
		$image_id   = get_post_thumbnail_id();
		$image_link = wp_get_attachment_image_src( $image_id, 'full' );
		?>
		<div class="thb-post-bottom-meta">
			<span itemprop="author" itemscope itemtype="https://schema.org/Person">
				<meta itemprop="name" content="<?php echo esc_attr( get_the_author() ); ?>">
			</span>
			<time class="date published time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>" itemprop="datePublished" content="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo esc_attr( thb_human_time_diff_enhanced() ); ?></time>
			<meta itemprop="name headline" class="entry-title" content="<?php echo esc_attr( get_the_title() ); ?>">
			<meta itemprop="dateModified" class="date updated" content="<?php the_modified_date( 'c' ); ?>">
			<span itemprop="publisher" itemscope itemtype="https://schema.org/Organization">
				<meta itemprop="name" content="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
				<span itemprop="logo" itemscope itemtype="https://schema.org/ImageObject">
					<meta itemprop="url" content="<?php echo esc_url( $logo ); ?>">
				</span>
				<meta itemprop="url" content="<?php echo esc_attr( get_home_url( '/' ) ); ?>">
			</span>
			<?php if ( has_post_thumbnail() ) { ?>
			<span class="hide" itemprop="image" itemscope itemtype="http://schema.org/ImageObject">
				<meta itemprop="url" content="<?php echo esc_attr( $image_link[0] ); ?>">
				<meta itemprop="width" content="<?php echo esc_attr( $image_link[1] ); ?>">
				<meta itemprop="height" content="<?php echo esc_attr( $image_link[2] ); ?>">
			</span>
			<?php } ?>
			<meta itemscope itemprop="mainEntityOfPage" itemtype="https://schema.org/WebPage" itemid="<?php the_permalink(); ?>" content="<?php the_permalink(); ?>">
		</div>
		<?php
	}
	add_action( 'thb_PostMeta', 'thb_PostMeta', 10 );
}


/* Add Lightbox Class */
function thb_image_rel( $content ) {
	if ( ot_get_option( 'article_lightbox', 'on' ) === 'on' ) {
		$pattern     = "/<a(.*?)href=('|\")([^>]*).(bmp|gif|jpeg|jpg|png)('|\")(.*?)>(.*?)<\/a>/i";
		$replacement = '<a$1href=$2$3.$4$5 rel="mfp"$6>$7</a>';
		$content     = preg_replace( $pattern, $replacement, $content );
	}
	return $content;
}
add_filter( 'the_content', 'thb_image_rel' );

/* Custom filter function to modify default gallery shortcode output */
function thb_article_lightbox_inner( $content ) {
	if ( ot_get_option( 'article_lightbox', 'on' ) === 'on' ) {
		$pattern     = "/<a(.*?)href=('|\")([^>]*).(bmp|gif|jpeg|jpg|png)('|\")(.*?)>(.*?)<\/a>/i";
		$replacement = '<a$1href=$2$3.$4$5 rel="mfp"$6>$7</a>';
		$content     = preg_replace( $pattern, $replacement, $content );
	}
	return $content;
}
add_filter( 'wp_get_attachment_link', 'thb_article_lightbox_inner' );

/* Translate Columns */
function thb_translate_columns( $size ) {
	if ( $size == 6 ) {
		return 'medium-2';
	} elseif ( $size == 5 ) {
		return 'medium-1/5';
	} elseif ( $size == 4 ) {
		return 'medium-3';
	} elseif ( $size == 3 ) {
		return 'medium-4';
	} elseif ( $size == 2 ) {
		return 'medium-6';
	} else {
		return 'medium-12';
	}
}
/* Sibling Categories */
function thb_sibling_categories( $current_category = false, $ajax = false ) {
		$output = '';

	if ( ! empty( $current_category->cat_ID ) ) {
		// child categories
		$categories = get_categories(
			array(
				'parent' => $current_category->cat_ID,
			)
		);

		if ( empty( $categories ) ) {
			// siblings categories
			$categories = get_categories(
				array(
					'parent' => $current_category->parent,
				)
			);
		}
	}

	if ( ! empty( $categories ) ) {
		?>
			<ul class="thb-sibling-categories" data-security="<?php echo esc_attr( wp_create_nonce( 'thb_ajax_cat' ) ); ?>">
			<?php
			foreach ( $categories as $category ) {
				$cat_name = $category->name;
				?>
					<li><a href="<?php echo esc_url( get_category_link( $category->cat_ID ) ); ?>" title="<?php echo esc_attr( $cat_name ); ?>"
											<?php
											if ( $ajax ) {
												?>
						 data-ajax-cat="<?php echo esc_attr( $category->cat_ID ); ?>"<?php } ?>><?php echo esc_html( $cat_name ); ?></a></li>
					<?php
			}
			?>
				<li class="thb-pull-down"><a href="#"><?php esc_html_e( 'More', 'goodlife' ); ?> <i class="fa fa-angle-down"></i></a><div class="sub-menu-holder"><ul class="sub-menu"></ul></div></li></ul>
			<?php
	}
}
add_action( 'thb_Sibling_Categories', 'thb_sibling_categories', 10, 2 );

/* Get Single Category ID */
function thb_getSingleCategory() {
	$selection = get_post_meta( get_the_id(), 'post-primary-category', true );

	if ( ! $selection || $selection === 'auto' ) {
		if ( empty( $id ) ) {
			$id         = '';
			$categories = get_the_category();

			if ( empty( $categories ) ) {
				return;
			}
			while ( empty( $id ) && ! empty( $categories ) ) {
				$cat = array_shift( $categories );
				if ( $cat->parent == 0 ) {
					$id = $cat->term_id;
				}
			}
		}
		// if no parent cat found, but a not-parent cat id passed to function use that
		if ( ! (int) $id && isset( $backup ) ) {
			$id = $backup;
		}
		if ( ! (int) $id ) {
			return;
		}
	} else {
		$id = $selection;
	}
	return $id;
}
function thb_fb_information() {
	$sharing_type            = ot_get_option( 'sharing_buttons' ) ? ot_get_option( 'sharing_buttons' ) : array();
	$general_disable_og_tags = ot_get_option( 'general_disable_og_tags' );

	if ( $general_disable_og_tags !== 'on' ) {
		if ( in_array( 'facebook', $sharing_type ) && is_single() ) {
				$image_id   = get_post_thumbnail_id();
				$image_link = wp_get_attachment_image_src( $image_id, 'full' );
			?>
			<meta property="og:title" content="<?php the_title_attribute(); ?>" />
			<meta property="og:type" content="article" />
			<meta property="og:description" content="<?php echo esc_html( get_the_excerpt() ); ?>" />
			<meta property="og:image" content="<?php echo esc_attr( $image_link[0] ); ?>" />
			<meta property="og:url" content="<?php the_permalink(); ?>" />
			<?php
		}
	}
}
add_action( 'wp_head', 'thb_fb_information', 3 );

/* Display Single Category */
function thb_DisplaySingleCategory( $boxed = true, $id = false, $returnid = false ) {
	$general_single_category = ot_get_option( 'general_single_category', 'on' );
	$selection               = get_post_meta( get_the_id(), 'post-primary-category', true );

	if ( $general_single_category === 'on' ) {
		if ( ! $selection || $selection === 'auto' ) {
			if ( (int) $id ) {
				$cat = get_category( $id );
				if ( ! empty( $cat ) ) {
					 $backup = $cat->term_id;
					if ( $cat->parent == 0 ) {
						$id = $cat->term_id;
					}
				}
			}
			if ( empty( $id ) ) {
				$id         = '';
				$categories = get_the_category();

				if ( empty( $categories ) ) {
					return;
				}
				while ( empty( $id ) && ! empty( $categories ) ) {
					$cat = array_shift( $categories );
					if ( $cat->parent == 0 ) {
						$id = $cat->term_id;
					} else {
						$backup = $cat->term_id;
					}
				}
			}
			// if no parent cat found, but a not-parent cat id passed to function use that
			if ( ! (int) $id && isset( $backup ) ) {
				$id = $backup;
			}
			if ( ! (int) $id ) {
				return;
			}
		} else {
			$id = $selection;
		}
		$name  = get_cat_name( $id );
		$url   = esc_url( get_category_link( $id ) );
		$class = $boxed ? ' class="single_category_title boxed-link category-boxed-link-' . $id . '"' : ' class="single_category_title category-link-' . $id . '"';
		$frmt  = '<a href="%s"%s title="%s">%s</a>';
		if ( $returnid ) {
			echo esc_attr( $id );
		} else {
			echo sprintf( $frmt, $url, $class, esc_attr( $name ), esc_html( $name ) );
		}
	} else {
		$categories = get_the_category();

		if ( empty( $categories ) ) {
			return;
		}
		foreach ( $categories as $term ) {
			$id    = $term->term_id;
			$name  = get_cat_name( $id );
			$url   = esc_url( get_category_link( $id ) );
			$class = $boxed ? ' class="single_category_title boxed-link category-boxed-link-' . $id . '"' : ' class="single_category_title category-link-' . $id . '"';
			$frmt  = '<a href="%s"%s title="%s">%s</a> ';
			if ( $returnid ) {
				echo esc_attr( $id );
			} else {
				echo sprintf( $frmt, $url, $class, esc_attr( $name ), esc_html( $name ) );
			}
		}
	}
}
add_action( 'thb_DisplaySingleCategory', 'thb_DisplaySingleCategory', 4 );

/* Get Category Color */
function thb_GetCategoryColor( $id ) {
	$color = ot_get_option( 'category_colors_' . $id, '#666' );
	return $color;
}
/* Blockquote Shortcode */
function thb_blockquote( $atts, $content = null ) {
	extract(
		shortcode_atts(
			array(
				'pull'   => '',
				'author' => '',
			),
			$atts
		)
	);
	$authorhtml = '';
	if ( $author ) {
		$authorhtml = '<cite>' . $author . '</cite>';
	}
	$out = '<blockquote class="styled ' . $pull . '"><p>' . $content . $authorhtml . '</p></blockquote>';
		return $out;
}
thb_add_short( 'blockquote', 'thb_blockquote' );

/* Thb Mobile Toggle */
function thb_mobile_toggle() {
	?>
	<div class="mobile-toggle-holder">
		<div class="mobile-toggle">
			<span></span><span></span><span></span>
		</div>
	</div>
	<?php
}
add_action( 'thb_mobile_toggle', 'thb_mobile_toggle', 3 );

/* Secondary Header */
function thb_secondary() {
	?>
	<div class="menu-right-content">
		<?php do_action( 'thb_quick_cart' ); ?>
		<?php if ( has_nav_menu( 'secondary-menu' ) ) { ?>
			<div class="secondary-holder">
				<div class="secondary-toggle">
					<span></span><span></span><span></span>
				</div>
				<?php
				wp_nav_menu(
					array(
						'theme_location' => 'secondary-menu',
						'depth'          => 1,
						'container'      => false,
						'menu_class'     => 'sf-menu style1 secondary',
					)
				);
				?>
			</div>
		<?php } ?>
		<?php
		if ( ot_get_option( 'header_search' ) === 'on' ) {
			do_action( 'thb_quick_search' ); }
		?>
	</div>
	<?php
}
add_action( 'thb_secondary', 'thb_secondary' );

/* Thb Header Search */
function thb_quick_search() {
	?>
	<div class="quick_search">
		<a href="#" class="quick_toggle"></a>
		<?php get_template_part( 'assets/svg/search.svg' ); ?>
		<form method="get" class="quick_searchform" role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>">
			<input name="s" type="text" class="s">
			<input type="submit" value="<?php esc_attr_e( 'Search', 'goodlife' ); ?>">
		</form>
	</div>

	<?php
}
add_action( 'thb_quick_search', 'thb_quick_search' );

/* Author */
function thb_author( $id, $meta = false ) {
	$id = $id ? $id : get_the_author_meta( 'ID' );
	if ( is_author() || $meta ) {
		$count    = count_user_posts( $id );
		$comments = get_comments(
			array(
				'author__in' => array( $id ),
				'count'      => 1,
			)
		);
	}
	?>
	<a href="<?php echo esc_url( get_author_posts_url( $id ) ); ?>" class="avatar-link"><?php echo get_avatar( $id, '164', '', '', array( 'class' => 'lazyload' ) ); ?></a>
	<div class="author-content">
		<h5><a href="<?php echo esc_url( get_author_posts_url( $id ) ); ?>"><?php the_author_meta( 'display_name', $id ); ?></a></h5>
		<?php if ( is_author() || $meta ) { ?>
			<?php if ( get_the_author_meta( 'position', $id ) !== '' ) { ?>
				<h4><?php echo get_the_author_meta( 'position', $id ); ?></h4>
			<?php } ?>
			<span><?php echo esc_attr( $count ); ?> <?php esc_html_e( 'Articles', 'goodlife' ); ?></span><span><?php echo esc_attr( $comments ); ?> <?php esc_html_e( 'Comments', 'goodlife' ); ?></span>
		<?php } ?>
		<p><?php the_author_meta( 'description', $id ); ?></p>
		<?php if ( get_the_author_meta( 'url', $id ) !== '' ) { ?>
			<a href="<?php echo esc_url( get_the_author_meta( 'url', $id ) ); ?>"><i class="fa fa-link"></i></a>
		<?php } ?>
		<?php if ( get_the_author_meta( 'twitter', $id ) !== '' ) { ?>
			<a href="<?php echo esc_url( get_the_author_meta( 'twitter', $id ) ); ?>" class="twitter"><i class="fa fa-twitter"></i></a>
		<?php } ?>
		<?php if ( get_the_author_meta( 'facebook', $id ) !== '' ) { ?>
			<a href="<?php echo esc_url( get_the_author_meta( 'facebook', $id ) ); ?>" class="facebook"><i class="fa fa-facebook"></i></a>
		<?php } ?>
		<?php if ( get_the_author_meta( 'instagram', $id ) !== '' ) { ?>
			<a href="<?php echo esc_url( get_the_author_meta( 'instagram', $id ) ); ?>" class="instagram"><i class="fa fa-instagram"></i></a>
		<?php } ?>
		<?php if ( get_the_author_meta( 'googleplus', $id ) !== '' ) { ?>
			<a href="<?php echo esc_url( get_the_author_meta( 'googleplus', $id ) ); ?>" class="google-plus"><i class="fa fa-google-plus"></i></a>
		<?php } ?>
	</div>
	<?php
}
add_action( 'thb_author', 'thb_author', 3, 2 );

/* Social Name */
function thb_get_social_name( $social ) {
	$name = '';
	switch ( $social ) {
		case 'google-plus':
			$name = 'Google Plus';
			break;
		case 'youtube-play':
			$name = 'YouTube';
			break;
		default:
			$name = $social;
			break;
	}
	return ucfirst( $name );
}

/* Social Icons */
function thb_social_header( $style, $footer = false ) {
	$socials = $footer ? ot_get_option( 'subfooter_social_link' ) : ot_get_option( 'subheader_social_link' );
	$style_1 = $style === 'style1';
	$style_2 = $style === 'style2';

	if ( $socials ) {
		if ( $style_1 ) {
			?>
			<li class="menu-item-has-children">
				<a href="#"><?php esc_html_e( 'Follow Us', 'goodlife' ); ?></a>
				<ul class="sub-menu social-submenu">
			<?php
		} elseif ( $style_2 ) {
			?>
			<li class="social_links_style2">
			<?php
		}
		if ( sizeof( $socials ) > 0 && $socials !== '' ) {
			foreach ( $socials as $social ) {
				?>
					<?php
					if ( $style_1 ) {
						?>
						<li><?php } ?>
					<a href="<?php echo esc_url( $social['href'] ); ?>" class="<?php echo esc_attr( $social['social_network'] ); ?>" target="_blank"><i class="fa fa-<?php echo esc_attr( $social['social_network'] ); ?>"></i>
					<?php
					if ( $style_1 ) {
						echo thb_get_social_name( $social['social_network'] ); }
					?>
					</a>
				<?php
				if ( $style_1 ) {
					?>
					</li><?php } ?>
				<?php
			}
		}
		?>
		<?php if ( $style_1 ) { ?>
			</ul>
			</li>
		<?php } elseif ( $style_2 ) { ?>
			</li>
			<?php
		}
	} // $socials
}
add_action( 'thb_social_header', 'thb_social_header', 3, 2 );

/* Load Template */
function thb_load_template_part( $template_name ) {
	ob_start();
	get_template_part( $template_name );
	$var = ob_get_clean();
	return $var;
}

/* Post Categories Array */
function thb_blogCategories() {
	$blog_categories = get_categories( array( 'hide_empty' => 0 ) );
	$out             = array();
	foreach ( $blog_categories as $category ) {
		$out[ $category->name ] = $category->cat_ID;
	}
	return $out;
}

/* Post Navigation */
function thb_post_nav() {
	$article_prevnext_samecat = ot_get_option( 'article_prevnext_samecat', 'off' ) == 'off' ? false : true;
	$prev_post                = get_adjacent_post( $article_prevnext_samecat, '', true );

	?>
		<div class="row post-navi hide-on-print no-padding">
			<div class="small-12 medium-6 columns">
				<?php
				if ( ! empty( $prev_post ) ) {
					$excerpt = $prev_post->post_content;
					$previd  = $prev_post->ID;

					echo '<span>' . esc_html__( 'Previous Article', 'goodlife' ) . '</span><h6><a href="' . get_permalink( $previd ) . '" title="' . $prev_post->post_title . '">' . $prev_post->post_title . '</a></h6>';
				} else {
					echo '<span>' . esc_html__( 'No Older Articles', 'goodlife' ) . '</span>';
				}
				?>
			</div>
			<div class="small-12 medium-6 columns">
				<?php
					$next_post = get_adjacent_post( $article_prevnext_samecat, '', false );

				if ( ! empty( $next_post ) ) {
					$excerptnext = $next_post->post_content;
					$nextid      = $next_post->ID;

					echo '<span>' . esc_html__( 'Next Article', 'goodlife' ) . '</span><h6><a href="' . get_permalink( $nextid ) . '" title="' . $next_post->post_title . '">' . $next_post->post_title . '</a></h6>';
				} else {
					echo '<span>' . esc_html__( 'No Newer Articles', 'goodlife' ) . '</span>';
				}
				?>
			</div>
		</div>
	<?php
}
add_action( 'thb_post_nav', 'thb_post_nav', 3 );

/* Breadcrumbs */
function thb_breadcrumbs() {
	if ( 'on' === ot_get_option( 'article_breadcrumbs', 'on' ) ) {
		?>
	<div class="breadcrumb-container">
		<div class="row no-padding">
			<div class="small-12 columns">
			<?php
			if ( function_exists( 'yoast_breadcrumb' ) ) {
				yoast_breadcrumb( '<p id="breadcrumbs" class="trail-items">', '</p>' );
			} else {
				thb_breadcrumb_trail(
					array(
						'show_browse' => false,
					)
				);
			}
			?>
			</div>
		</div>
	</div>
		<?php
	}
}
add_action( 'thb_breadcrumbs', 'thb_breadcrumbs' );

/* Human time */
function thb_human_time_diff_enhanced( $duration = 60 ) {

	$post_time  = get_the_time( 'U' );
	$human_time = '';

	$time_now = date( 'U' );

	// use human time if less that $duration days ago (60 days by default)
	// 60 seconds * 60 minutes * 24 hours * $duration days
	if ( $post_time > $time_now - ( 60 * 60 * 24 * $duration ) ) {
		$human_time = sprintf( esc_html__( '%s ago', 'goodlife' ), human_time_diff( $post_time, current_time( 'timestamp' ) ) );
	} else {
		$human_time = get_the_date();
	}

	if ( ot_get_option( 'relative_dates', 'on' ) == 'off' ) {
		return get_the_date();
	} else {
		return $human_time;
	}

}

/**
 * Shorten large numbers into abbreviations (i.e. 1,500 = 1.5k)
 *
 * @param int $number  Number to shorten
 * @return String   A number with a symbol
 */
function thb_numberAbbreviation( $number ) {
	$abbrevs = array(
		12 => 'T',
		9  => 'B',
		6  => 'M',
		3  => 'K',
		0  => '',
	);

	if ( $number > 999 ) {
		foreach ( $abbrevs as $exponent => $abbrev ) {
			if ( $number >= pow( 10, $exponent ) ) {
				$display_num = $number / pow( 10, $exponent );
				$decimals    = ( $exponent >= 3 && round( $display_num ) < 100 ) ? 1 : 0;
					return number_format( $display_num, $decimals ) . $abbrev;
			}
		}
	} else {
		return $number;
	}
}

// RTL fixes
function thb_rtl_bracket_hack( $content ) {
	if ( is_rtl() ) {
		$content = preg_replace( '#<p>([^<]+)\)\s*</p>#', '<p>$1)&#x200E;</p>', $content );
		$content = preg_replace( '#<p>\s*\(([^<]+)</p>#', '<p>&#x200E;($1</p>', $content );
	}
	return $content;
}
add_filter( 'the_content', 'thb_rtl_bracket_hack', 100, 1 );

// Thb Get Columns
function thb_getColumns( $columns ) {
	switch ( $columns ) {
		case 2:
			$col = 'small-6';
			break;
		case 3:
			$col = 'small-6 medium-4 large-4';
			break;
		case 4:
			$col = 'small-6 medium-6 large-3';
			break;
		case 5:
			$col = 'small-6 medium-6 thb-5';
			break;
	}
	return $col;
}
// Redirect
function thb_disable_redirect_canonical( $redirect_url, $requested_url ) {
	if ( is_single() || is_page() ) {
		$redirect_url = false; }
	return $redirect_url;
}
add_filter( 'redirect_canonical', 'thb_disable_redirect_canonical', 10, 2 );

/* Add Shortcode */
function thb_add_short( $name, $call ) {

	$func = 'add' . '_shortcode';
	return $func( $name, $call );

}

/* Login / Register */
function thb_login_links( $list ) {
	if ( ot_get_option( 'subheader_login_link', 'off' ) === 'off' ) {
		return; }
	if ( $list ) {
		echo '<li>';
	} else {
		echo '<div class="login-links">';
	}
	if ( ! is_user_logged_in() ) {
		?>
		<a href="#thb-login" rel="inline" title="<?php esc_attr_e( 'Login / Register', 'goodlife' ); ?>"><?php esc_html_e( 'Login / Register', 'goodlife' ); ?></a>
		<?php
	} else {
		$current_user = wp_get_current_user();
		?>
		<span><?php echo esc_html( $current_user->display_name ); ?></span> <a href="<?php echo wp_logout_url( home_url( '/' ) ); ?>" class="logout_link"><?php esc_html_e( 'Logout', 'goodlife' ); ?></a>
		<?php
	}
	if ( $list ) {
		echo '</li>';
	} else {
		echo '</div>';
	}
}
add_action( 'thb_login_links', 'thb_login_links', 1 );

function thb_add_loginform() {
	$subheader_login_color = ot_get_option( 'subheader_login_color', 'light' );
	$btn_class             = $subheader_login_color === 'dark' ? 'white-transparent' : '';
	$input_class           = $subheader_login_color === 'dark' ? 'dark' : '';
	?>
	<aside id="thb-login" class="mfp-hide thb-login-form <?php echo esc_attr( $subheader_login_color ); ?>">
		<ul>
			<li class="lost"><a href="#" class="always"><?php esc_html_e( 'Lost Password', 'goodlife' ); ?></a> <span class="back"><?php esc_html_e( 'Back &#x27F6;', 'goodlife' ); ?></span></li>
			<li><a href="#" class="active"><?php esc_html_e( 'Login', 'goodlife' ); ?></a></li>
			<li><a href="#"><?php esc_html_e( 'Register', 'goodlife' ); ?></a></li>
		</ul>
		<div class="thb-overflow-container">
		<div class="thb-form-container">
			<div class="thb-lost">
				<form id="thb_lost_form" action="<?php echo home_url( '/' ); ?>" method="post">
					<div class="thb-errors lost-errors"></div>
					<div class="form-field">
						<input class="form-control required <?php echo esc_attr( $input_class ); ?>" name="thb_user_or_email" id="thb_user_or_email" type="text" placeholder="<?php esc_attr_e( 'Username or E-mail', 'goodlife' ); ?>" />
					</div>
					<div class="form-field">
						<input type="hidden" name="action" value="thb_reset_password"/>
						<button class="btn <?php echo esc_attr( $btn_class ); ?>" type="submit"><?php esc_html_e( 'Get new password', 'goodlife' ); ?></button>
					</div>
					<?php wp_nonce_field( 'ajax-login-nonce', 'password-security' ); ?>
				</form>
			</div>
			<div class="thb-login">
				<form id="thb_login_form" action="<?php echo home_url( '/' ); ?>" method="post">
					<div class="thb-errors login-errors"></div>
					<div class="form-field">
						<input class="form-control required <?php echo esc_attr( $input_class ); ?>" name="thb_user_login" type="text" placeholder="<?php esc_attr_e( 'Username', 'goodlife' ); ?>" autocomplete="off" />
					</div>
					<div class="form-field">
						<input class="form-control required <?php echo esc_attr( $input_class ); ?>" name="thb_user_pass" id="thb_user_pass" type="password" placeholder="<?php esc_attr_e( 'Password', 'goodlife' ); ?>">
					</div>
					<div class="form-field">
						 <a href="#" class="lost_password"><?php esc_html_e( 'Lost Password?', 'goodlife' ); ?></a>
					</div>
					<div class="form-field last">
						<input type="hidden" name="action" value="thb_login_member"/>
						<button class="btn <?php echo esc_attr( $btn_class ); ?>" type="submit"><?php esc_html_e( 'Login', 'goodlife' ); ?></button>
					</div>
					<?php wp_nonce_field( 'ajax-login-nonce', 'login-security' ); ?>
				</form>

			</div>
			<div class="thb-register">
				<?php if ( get_option( 'users_can_register' ) ) { ?>

					<form id="thb_registration_form" action="<?php echo home_url( '/' ); ?>" method="POST">
						<div class="thb-errors register-errors"></div>
						<div class="form-field">
							<input class="form-control input-lg required <?php echo esc_attr( $input_class ); ?>" name="thb_user_login" type="text" placeholder="<?php esc_attr_e( 'Username', 'goodlife' ); ?>" />
						</div>
						<div class="form-field">
							<input class="form-control input-lg required <?php echo esc_attr( $input_class ); ?>" name="thb_user_email" id="thb_user_email" type="email" placeholder="<?php esc_attr_e( 'Email', 'goodlife' ); ?>" />
						</div>

						<div class="form-field last">
							<input type="hidden" name="action" value="thb_register_member"/>
							<button class="btn <?php echo esc_attr( $btn_class ); ?>" type="submit"><?php esc_html_e( 'Sign up', 'goodlife' ); ?></button>
						</div>
						<?php wp_nonce_field( 'ajax-login-nonce', 'register-security' ); ?>
					</form>
					<?php
				} else {
					echo '<div class="alert alert-warning">' . esc_html__( 'Registration is disabled.', 'goodlife' ) . '</div>';
				}
				?>
			</div>
		</div>
		</div>
	</aside>
	<?php
}
add_action( 'wp_footer', 'thb_add_loginform', 100 );

/* SVG Icons */
function thb_svg_icons_footer() {

	?>
	<div class="hide">
		<?php get_template_part( 'assets/svg/comment.svg' ); ?>
	</div>
	<?php
}
add_action( 'wp_footer', 'thb_svg_icons_footer', 100 );
/* Widget Colors */
function thb_widget_color( $random_class, $widget_title_color ) {
	?>
	<style>
		.<?php echo esc_attr( $random_class ); ?>.title-style1 .widget_title>strong,
		.<?php echo esc_attr( $random_class ); ?>.title-style3 .widget_title>strong {
			color: <?php echo esc_attr( $widget_title_color ); ?> !important;
		}
		.<?php echo esc_attr( $random_class ); ?> .widget_title {
			border-color: <?php echo esc_attr( $widget_title_color ); ?> !important;
		}
		.<?php echo esc_attr( $random_class ); ?>.title-style2 .widget_title strong {
			background-color: <?php echo esc_attr( $widget_title_color ); ?> !important;
		}
	</style>
	<?php
}

/* Page Content */
function thb_page_content( $page_id ) {
	if ( $page_id ) {
		$args       = array(
			'page_id'     => apply_filters( 'wpml_object_id', $page_id, 'page' ),
			'post_status' => 'publish',
		);
		$page_query = new WP_Query( $args );
		if ( $page_query->have_posts() ) :
			while ( $page_query->have_posts() ) :
				$page_query->the_post();
				the_content();
		endwhile;
endif;
		wp_reset_postdata();
		echo '<style>';
		echo get_post_meta( $page_id, '_wpb_shortcodes_custom_css', true );
		echo '</style>';
	}
}
add_action( 'thb_page_content', 'thb_page_content', 99, 1 );

/* Cookie Bar */
function thb_add_cookiebar() {
	get_template_part( 'inc/templates/header/cookie-bar' );
}
add_action( 'wp_footer', 'thb_add_cookiebar', 10 );

/* Style Post Pagination */
add_filter( 'wp_link_pages_args', 'wp_link_pages_args_prevnext_add' );

function wp_link_pages_args_prevnext_add( $args ) {
	$args['before']      = '<div class="pagination">';
	$args['after']       = '</div>';
	$args['link_before'] = '<div class="page-numbers">';
	$args['link_after']  = '</div>';
	return $args;
}


/* Encoding */
function thb_encode( $value ) {
	$func = 'base64' . '_encode';
	return $func( $value );
}
function thb_decode( $value ) {

	$func = 'base64' . '_decode';
	return $func( $value );

}

/* Woocommerce */
function thb_wc_supported() {
	return class_exists( 'WooCommerce' );
}
function thb_is_woocommerce() {
	if ( ! thb_wc_supported() ) {
		return false;
	}
	return ( is_woocommerce() || is_cart() || is_checkout() || is_account_page() );
}

// Update Nags
function thb_hide_wp_update_nag() {
	remove_action( 'admin_notices', 'wp_rankie_admin_notice' );
	remove_action( 'admin_notices', 'wpvq_notice_addons_1' );
}
add_action( 'admin_menu', 'thb_hide_wp_update_nag' );

/* Footer Items */
function thb_footer_items() {
	if ( 'on' === ot_get_option( 'scroll_to_top', 'on' ) ) {
		?>
		<a id="scroll_totop"><i class="fa fa-angle-up"></i></a>
		<?php
	}
}
add_action( 'wp_footer', 'thb_footer_items', 3 );

// Move Array Keys
function thb_moveKeyBefore( $arr, $find, $move ) {
	if ( ! isset( $arr[ $find ], $arr[ $move ] ) ) { // if either are missing, abort process
		return $arr;
	} else {
		$elem  = array( $move => $arr[ $move ] );
		$start = array_splice( $arr, 0, array_search( $find, array_keys( $arr ) ) );  // divide the $arr in two parts
		return $start + $elem + $arr;  // insert $elem during re-merge
	}
}
// VC AJAX Support
function thb_register_vc_shortcodes() {
	if ( class_exists( 'WPBMap' ) && method_exists( 'WPBMap', 'addAllMappedShortcodes' ) ) {
		WPBMap::addAllMappedShortcodes();
	}
}
add_action( 'thb_vc_ajax', 'thb_register_vc_shortcodes', 10 );
