<?php function thb_selection() {
	$id = get_queried_object_id();
	ob_start();
?>
/* Options set in the admin page */
body {
	<?php thb_typeoutput(ot_get_option( 'body_type'), false, 'Karla'); ?>
	<?php if ($text_color = ot_get_option( 'text_color')) { ?>
	color: <?php echo esc_attr($text_color); ?>;
	<?php } ?>
}
h1, h2, h3, h4, h5, h6 {
	<?php thb_typeoutput(ot_get_option( 'title_type'), false, 'Poppins'); ?>
}
<?php if ($content_bg = ot_get_option( 'content_bg')) { ?>
#wrapper [role="main"]>.row,
.post .post-content>.row,
.post-header.small+.style5-container,
#infinite-article,
.post-detail-row,
.woocommerce-tabs .tabs li.active,
.select2-container .select2-dropdown,
.post.post-fashion .post-title-container {
	background-color: <?php echo esc_attr($content_bg); ?>;
}
.post .post-navi .columns+.columns,
.woocommerce-tabs .tabs li.active {
  border-color: <?php echo esc_attr($content_bg); ?>;
}
<?php } ?>
/* Sub Header */
<?php if ($subheader_bg = ot_get_option( 'subheader_bg')) { ?>
.subheader {
	<?php thb_bgoutput($subheader_bg); ?>
}
.subheader.dark ul > li .sub-menu,
.subheader.light ul > li .sub-menu {
	background: <?php echo thb_adjustColorLightenDarken($subheader_bg['background-color'], -8); ?>;
}
<?php } ?>
<?php if ($subheader_type = ot_get_option( 'subheader_type')) { ?>
.subheader ul {
	<?php thb_typeoutput($subheader_type); ?>
}
<?php } ?>
/* Header */
@media only screen and (min-width: 48.063em) {
	.header {
		<?php thb_paddingoutput(ot_get_option( 'header_spacing')); ?>
	}
}
.header {
	<?php thb_bgoutput(ot_get_option( 'header_bg')); ?>
}

/* Header Item Colors */
<?php if ($menu_color_dark = ot_get_option( 'menu_color_dark')) { ?>
.header.header--dark .sf-menu > li > a {
	color: <?php echo esc_attr($menu_color_dark); ?>;
}
@media only screen and (min-width: 48.063em) {
	.header.header--dark #quick_wishlist_icon path {
		stroke: <?php echo esc_attr($menu_color_dark); ?>;
	}
	.header.header--dark #quick_search_icon,
	.header.header--dark #quick_cart_icon {
		fill: <?php echo esc_attr($menu_color_dark); ?>;
	}
}
<?php } ?>
<?php if ($menu_color_light = ot_get_option( 'menu_color_light')) { ?>
.header.header--light .sf-menu > li > a {
	color: <?php echo esc_attr($menu_color_light); ?>;
}
@media only screen and (min-width: 48.063em) {
	.header.header--light #quick_wishlist_icon path {
		stroke: <?php echo esc_attr($menu_color_light); ?>;
	}
	.header.header--light #quick_search_icon,
	.header.header--light #quick_cart_icon {
		fill: <?php echo esc_attr($menu_color_light); ?>;
	}
}
<?php } ?>
/* Logo Height */
@media only screen and (min-width: 64.063em) {
  .header .logo .logoimg {
  	max-height: <?php thb_measurementoutput(ot_get_option( 'logo_height'), array('50', 'px')); ?>;
  }
}
@media only screen and (max-width: 64.063em) {
  .header .logo .logoimg {
  	max-height: <?php thb_measurementoutput(ot_get_option( 'mobile_logo_height'), array('30', 'px')); ?>;
  }
}
/* Fixed Logo Height */
@media only screen and (min-width: 64.063em) {
  .subheader.fixed .logo .logolink .logoimg {
  	max-height: <?php thb_measurementoutput(ot_get_option( 'fixedlogo_height'), array('21', 'px')); ?>;
  }
}
/* Menu */
<?php if ($menu_bg = ot_get_option( 'menu_bg')) { ?>
.menu-holder.style1.dark {
	<?php thb_bgoutput($menu_bg); ?>
}
<?php } ?>
<?php if ($mobile_menu_bg = ot_get_option( 'mobile_menu_bg')) { ?>
#mobile-menu {
	<?php thb_bgoutput($mobile_menu_bg); ?>
}
<?php } ?>
/* Colors */
<?php if ($accent_color = ot_get_option( 'accent_color')) { ?>
a:hover, .menu-holder ul li.menu-item-mega-parent .thb_mega_menu_holder .thb_mega_menu li.active a,.menu-holder ul li.sfHover > a, .subcategory_container .thb-sibling-categories li a:hover,label small, .more-link, .comment-respond .comment-reply-title small a, .btn.accent-transparent, .button.accent-transparent, input[type=submit].accent-transparent, .category_title.search span, .video_playlist .video_play.video-active .post-title h6, .menu-holder.dark ul li .sub-menu a:hover, .menu-holder.dark ul.sf-menu > li > a:hover, .post .post-bottom-meta a:hover,
.thb-title-color-hover .post .post-title .entry-title a:hover,
.btn.accent-border, .button.accent-border, input[type=submit].accent-border {
  color: <?php echo esc_attr($accent_color); ?>;
}
ul.point-list li:before, ol.point-list li:before, .post .article-tags .tags-title, .post.post-overlay .post-gallery .counts,
.post-review ul li .progress span, .post-review .average, .category-title.style1 .category-header, .widget.widget_topreviews .style1 li .progress, .btn.black:hover, .button.black:hover, input[type=submit].black:hover, .btn.white:hover, .button.white:hover, input[type=submit].white:hover, .btn.accent:hover, .button.accent:hover, input[type=submit].accent:hover, .btn.accent-transparent:hover, .button.accent-transparent:hover, input[type=submit].accent-transparent:hover, #scroll_totop:hover, .subheader.fixed > .row .progress, #mobile-menu.style2, .thb-cookie-bar,
.btn.accent-fill, .button.accent-fill, input[type=submit].accent-fill {
	background-color: <?php echo esc_attr($accent_color); ?>;
}
.plyr__control--overlaid,.plyr--video .plyr__control.plyr__tab-focus, .plyr--video .plyr__control:hover, .plyr--video .plyr__control[aria-expanded=true] {
  background: <?php echo esc_attr($accent_color); ?>;
}
.plyr--full-ui input[type=range] {
  color: <?php echo esc_attr($accent_color); ?>;
}
.menu-holder ul li.menu-item-mega-parent .thb_mega_menu_holder, .btn.black:hover, .button.black:hover, input[type=submit].black:hover, .btn.accent, .button.accent, input[type=submit].accent, .btn.white:hover, .button.white:hover, input[type=submit].white:hover, .btn.accent:hover, .button.accent:hover, input[type=submit].accent:hover, .btn.accent-transparent, .button.accent-transparent, input[type=submit].accent-transparent,
.quick_search .quick_searchform,
.btn.accent-border, .button.accent-border, input[type=submit].accent-border,
.btn.accent-fill, .button.accent-fill, input[type=submit].accent-fill {
	border-color: <?php echo esc_attr($accent_color); ?>;
}

.btn.accent-fill:hover, .button.accent-fill:hover, input[type=submit].accent-fill:hover {
  border-color: <?php echo thb_adjustColorLightenDarken($accent_color, 8); ?>;
  background-color: <?php echo thb_adjustColorLightenDarken($accent_color, 8); ?>;
}
.quick_search .quick_searchform input[type="submit"] {
  background: rgba(<?php echo thb_hex2rgb($accent_color); ?>, .1);
}
.quick_search .quick_searchform:after {
  border-bottom-color: <?php echo esc_attr($accent_color); ?>;
}
.quick_search .quick_searchform input[type="submit"]:hover {
  background: rgba(<?php echo thb_hex2rgb($accent_color); ?>, .2);
}
.post .article-tags .tags-title:after {
	border-left-color: <?php echo esc_attr($accent_color); ?>;
}
.rtl .post .article-tags .tags-title:after {
	border-right-color: <?php echo esc_attr($accent_color); ?>;
}
.circle_rating .circle_perc {
	stroke: <?php echo esc_attr($accent_color); ?>;
}
.header .quick_search.active .quick_search_icon,
.menu-right-content .quick_search.active .quick_search_icon,
.post .post-bottom-meta a:hover .comment_icon,
.btn.accent-border .thb-next-arrow,
.button.accent-border .thb-next-arrow,
input[type=submit].accent-border .thb-next-arrow,
.btn.accent-transparent .thb-next-arrow,
.button.accent-transparent .thb-next-arrow,
input[type=submit].accent-transparent .thb-next-arrow {
	fill: <?php echo esc_attr($accent_color); ?>;
}
.post .post-content p a {
	border-color: <?php echo thb_adjustColorLightenDarken($accent_color, -50); ?>;
	-moz-box-shadow: inset 0 -5px 0 <?php echo thb_adjustColorLightenDarken($accent_color, -50); ?>;
	-webkit-box-shadow: inset 0 -5px 0 <?php echo thb_adjustColorLightenDarken($accent_color, -50); ?>;
	box-shadow: inset 0 -5px 0 <?php echo thb_adjustColorLightenDarken($accent_color, -50); ?>;
}
.post.carousel-listing.slick-current:after {
	-moz-box-shadow: inset 0 4px 0 0 <?php echo esc_attr($accent_color); ?>;
	-webkit-box-shadow: inset 0 4px 0 0 <?php echo esc_attr($accent_color); ?>;
	box-shadow: inset 0 4px 0 0 <?php echo esc_attr($accent_color); ?>;
}
.post .post-content p a:hover {
	background: <?php echo thb_adjustColorLightenDarken($accent_color, -50); ?>;
}

<?php } ?>
<?php if ($reading_indicator_color = ot_get_option( 'reading_indicator_color')) { ?>
.subheader.fixed > .row .progress {
	background: <?php echo esc_attr($reading_indicator_color); ?>;
}
<?php } ?>
<?php if ($sidebar_widget_title_color = ot_get_option( 'sidebar_widget_title_color')) { ?>
.post .widget.title-style1 .widget_title > strong {
	color: <?php echo esc_attr($sidebar_widget_title_color); ?>;
}
.post .widget.title-style2 .widget_title > strong {
	background-color: <?php echo esc_attr($sidebar_widget_title_color); ?>;
}
.post .widget .widget_title {
	border-color: <?php echo esc_attr($sidebar_widget_title_color); ?>;
}
<?php } ?>
<?php if ($footer_widget_title_color = ot_get_option( 'footer_widget_title_color')) { ?>
#footer.dark .widget.title-style1 .widget_title > strong,
#footer .widget.title-style1 .widget_title > strong {
	color: <?php echo esc_attr($footer_widget_title_color); ?>;
}
#footer.dark .widget.title-style2 .widget_title > strong,
#footer .widget.title-style2 .widget_title > strong {
	background-color: <?php echo esc_attr($footer_widget_title_color); ?>;
}
#footer.dark .widget .widget_title,
#footer .widget .widget_title {
	border-color: rgba(<?php echo thb_hex2rgb($footer_widget_title_color); ?>, .55);
}
<?php } ?>
<?php if ($header_search_color = ot_get_option( 'header_search_color')) { ?>
.quick_search .quick_searchform {
	border-color: <?php echo esc_attr($header_search_color); ?>;
}
.quick_search .quick_searchform input[type="submit"] {
  background: rgba(<?php echo thb_hex2rgb($header_search_color); ?>, .1);
}
.quick_search .quick_searchform:after {
  border-bottom-color: <?php echo esc_attr($header_search_color); ?>;
}
.quick_search .quick_searchform input[type="submit"]:hover {
  background: rgba(<?php echo thb_hex2rgb($header_search_color); ?>, .2);
}
<?php } ?>
/* Typography */
<?php if ($button_font = ot_get_option( 'button_font')) { ?>
input[type="submit"],
submit,
.button,
.btn {
	<?php thb_typeoutput($button_font); ?>
}
<?php } ?>
.post .post-bottom-meta {
  <?php thb_typeoutput(ot_get_option( 'post_meta_type')); ?>
	<?php thb_typeoutput(ot_get_option( 'post_meta_font')); ?>
}
.post .post-category {
  <?php thb_typeoutput(ot_get_option( 'category_title_font')); ?>
	<?php thb_typeoutput(ot_get_option( 'category_title_type')); ?>
}
.widget > strong {
  <?php thb_typeoutput(ot_get_option( 'widget_title_font')); ?>
	<?php thb_typeoutput(ot_get_option( 'widget_title_type')); ?>
}
/* Heading Typography */
<?php if ($h1_type = ot_get_option( 'h1_type')) { ?>
h1,
.h1 {
	<?php thb_typeoutput($h1_type); ?>
}
<?php } ?>
<?php if ($h2_type = ot_get_option( 'h2_type')) { ?>
h2 {
	<?php thb_typeoutput($h2_type); ?>
}
<?php } ?>
<?php if ($h3_type = ot_get_option( 'h3_type')) { ?>
h3 {
	<?php thb_typeoutput($h3_type); ?>
}
<?php } ?>
<?php if ($h4_type = ot_get_option( 'h4_type')) { ?>
h4 {
	<?php thb_typeoutput($h4_type); ?>
}
<?php } ?>
<?php if ($h5_type = ot_get_option( 'h5_type')) { ?>
h5 {
	<?php thb_typeoutput($h5_type); ?>
}
<?php } ?>
<?php if ($h6_type = ot_get_option( 'h6_type')) { ?>
h6 {
	<?php thb_typeoutput($h6_type); ?>
}
<?php } ?>
/* Measurements */
<?php if ($logo_padding = ot_get_option( 'logo_padding')) { ?>
@media only screen and (min-width: 64.063em) {
	.header.style1 .logo .logolink,
	.header.style2 .logo .logolink,
	.header.style3 .logo .logolink,
	.header.style4 .logo .logolink,
	.header.style5 .logo .logolink,
	.header.style6 .logo .logolink,
	.header.style7 .logo .logolink,
	.header.style8 .logo .logolink {
		<?php thb_spacingoutput($logo_padding, false, 'padding'); ?>;
	}
}
<?php } ?>
<?php if ($widget_padding = ot_get_option( 'widget_padding')) { ?>
.widget:not(.woo) {
	<?php thb_spacingoutput($widget_padding, false, 'padding'); ?>;
}
<?php } ?>
<?php if ($footer_padding = ot_get_option( 'footer_padding')) { ?>
#footer {
	<?php thb_spacingoutput($footer_padding, false, 'padding'); ?>;
}
<?php } ?>
<?php if ($subfooter_padding = ot_get_option( 'subfooter_padding')) { ?>
#subfooter {
	<?php thb_spacingoutput($subfooter_padding, false, 'padding'); ?>;
}
<?php } ?>

/* Post Title */
<?php if ($post_title_type = ot_get_option( 'post_title_type')) { ?>
.post .post-title h1 {
	<?php thb_typeoutput($post_title_type); ?>
}
<?php } ?>
/* Menu */
<?php if ($menu_margin = ot_get_option( 'header_menu_margin')) { ?>
@media only screen and (min-width: 80em) {
	.menu-holder ul.sf-menu > li {
		margin-right: <?php echo esc_attr($menu_margin[0].$menu_margin[1]); ?>;
	}
}
<?php } ?>
<?php if ($menu_left_font = ot_get_option( 'menu_left_font')) { ?>
.menu-holder ul.sf-menu > li > a {
	<?php thb_typeoutput($menu_left_font); ?>
}
<?php } ?>
<?php if ($menu_left_type = ot_get_option( 'menu_left_type')) { ?>
.menu-holder ul.sf-menu > li > a {
	<?php thb_typeoutput($menu_left_type); ?>
}
<?php } ?>
<?php if ($menu_left_submenu_font = ot_get_option( 'menu_left_submenu_font')) { ?>
.menu-holder ul li .sub-menu li a,
.menu-holder ul li.menu-item-mega-parent .thb_mega_menu_holder .thb_mega_menu li > a {
	<?php thb_typeoutput($menu_left_submenu_font); ?>
}
<?php } ?>
<?php if ($menu_left_submenu_type = ot_get_option( 'menu_left_submenu_type')) { ?>
.menu-holder ul li .sub-menu li a,
.menu-holder ul li.menu-item-mega-parent .thb_mega_menu_holder .thb_mega_menu li > a {
	<?php thb_typeoutput($menu_left_submenu_type); ?>
}
<?php } ?>

/* Mobile Menu */
<?php if ($menu_mobile_font = ot_get_option( 'menu_mobile_font')) { ?>
.mobile-menu li a {
	<?php thb_typeoutput($menu_mobile_font); ?>
}
<?php } ?>
<?php if ($menu_mobile_type = ot_get_option( 'menu_mobile_type')) { ?>
.mobile-menu li a {
	<?php thb_typeoutput($menu_mobile_type); ?>
}
<?php } ?>
<?php if ($menu_mobile_submenu_type = ot_get_option( 'menu_mobile_submenu_type')) { ?>
.mobile-menu .sub-menu li a {
	<?php thb_typeoutput($menu_mobile_submenu_type); ?>
}
<?php } ?>
<?php if ($menu_mobile_submenu_font = ot_get_option( 'menu_mobile_submenu_font')) { ?>
.mobile-menu .sub-menu li a {
	<?php thb_typeoutput($menu_mobile_submenu_font); ?>
}
<?php } ?>

/* Category Colors */
<?php
	$categories = get_terms( 'category', array( 'hide_empty' => false ) );
	foreach ($categories as $category) {
		$cat_id = $category->term_id;
		$color = ot_get_option( 'category_colors_'. $cat_id);
		$header_bg = absint( get_term_meta( $cat_id, 'thb_header_id', true ) );
		if ($color) {
		?>
			.header .menu-holder ul.sf-menu > li.menu-item-category-<?php echo esc_attr($cat_id); ?> > a:hover,
			.menu-holder.style1 ul.sf-menu > li.menu-item-category-<?php echo esc_attr($cat_id); ?> > a:hover,
			.menu-holder ul li.menu-item-mega-parent .thb_mega_menu_holder .thb_mega_menu li.menu-item-category-<?php echo esc_attr($cat_id); ?> > a:hover,
			.menu-holder ul li.menu-item-mega-parent .thb_mega_menu_holder .thb_mega_menu li.menu-item-category-<?php echo esc_attr($cat_id); ?>.active > a,
			.menu-holder ul li .sub-menu li.menu-item-category-<?php echo esc_attr($cat_id); ?> > a:hover,
			.post .single_category_title.category-link-<?php echo esc_attr($cat_id); ?> {
				color: <?php echo esc_attr($color); ?>;
			}
			.menu-holder ul.sf-menu > li.menu-item-category-<?php echo esc_attr($cat_id); ?> > a + .thb_mega_menu_holder {
				border-color: <?php echo esc_attr($color); ?>;
			}
			.post .single_category_title.category-boxed-link-<?php echo esc_attr($cat_id); ?>.boxed-link,
			.category_title.cat-<?php echo esc_attr($cat_id); ?>:before,
			.category-title.style1 .category-header.cat-<?php echo esc_attr($cat_id); ?>,
			.category_title.style3.cat-<?php echo esc_attr($cat_id); ?> h4:before {
				background-color: <?php echo esc_attr($color); ?>;
			}
			.post.carousel-style2[data-catid="<?php echo esc_attr($cat_id); ?>"]:hover {
				background-color: <?php echo esc_attr($color); ?>;
			}
		<?php
		}
		if ($header_bg) {
			$image = wp_get_attachment_url( $header_bg );
			?>
			.category-title.style1 .category-header.cat-<?php echo esc_attr($cat_id); ?> {
				background-image: url(<?php echo esc_attr($image); ?>);
			}
			<?php
		}
	}
?>

/* Widgets */
<?php if ($widget_bg = ot_get_option( 'widget_bg')) { ?>
.widget:not(.widget_singlead) {
	<?php thb_bgoutput($widget_bg); ?>
}
[role="main"] .widget.widget_categoryslider .slick-nav {
	<?php thb_bgoutput($widget_bg); ?>
}
<?php } ?>
<?php if ($footer_bg = ot_get_option( 'footer_bg')) { ?>
/* Footer */
#footer {
	<?php thb_bgoutput($footer_bg); ?>
}
#footer .widget.widget_categoryslider .slick-nav {
	<?php thb_bgoutput($footer_bg); ?>
}
<?php } ?>

/* Login / Register */
<?php if ($login_bg = ot_get_option( 'login_bg')) { ?>
.thb-login-form.dark,
.thb-login-form {
	<?php thb_bgoutput($login_bg); ?>
}
<?php } ?>

/* Sub-Footer */
#subfooter {
	<?php thb_bgoutput(ot_get_option( 'subfooter_bg')); ?>
}
/* Sub-Footer Logo Height */
@media only screen and (min-width: 48.063em) {
	#subfooter .logolink .logoimg {
		max-height: <?php thb_measurementoutput(ot_get_option( 'subfooter_logo_height'), array('25', 'px')); ?>;
	}
}
/* Extra CSS */
<?php
echo ot_get_option( 'extra_css');
?>
<?php
	$out = ob_get_clean();
	// Remove comments
	$out = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $out);
	// Remove space after colons
	$out = str_replace(': ', ':', $out);
	// Remove whitespace
	$out = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $out);

	return $out;
}
