<?php
	$footer         = ot_get_option( 'footer', 'on' );
	$footer_columns = ot_get_option( 'footer_columns', 'threecolumns' );
	$footer_color   = ot_get_option( 'footer_color', 'dark' );
	$footer_boxed   = ot_get_option( 'footer_boxed' ) === 'on' ? 'boxed' : '';
	$classes[]      = $footer_color;
	$classes[]      = $footer_boxed;
?>
<?php if ( $footer === 'on' ) { ?>
<!-- Start Footer -->
<footer id="footer" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<div class="row">
		<?php if ( $footer_columns === 'fourcolumns' ) { ?>
	<div class="small-12 medium-6 large-3 columns">
			<?php dynamic_sidebar( 'footer1' ); ?>
	</div>
	<div class="small-12 medium-6 large-3 columns">
			<?php dynamic_sidebar( 'footer2' ); ?>
	</div>
	<div class="small-12 medium-6 large-3 columns">
			<?php dynamic_sidebar( 'footer3' ); ?>
	</div>
	<div class="small-12 medium-6 large-3 columns">
			<?php dynamic_sidebar( 'footer4' ); ?>
	</div>
	<?php } elseif ( $footer_columns === 'threecolumns' ) { ?>
	<div class="small-12 medium-4 large-4 columns">
			<?php dynamic_sidebar( 'footer1' ); ?>
	</div>
	<div class="small-12 medium-4 large-4 columns">
			<?php dynamic_sidebar( 'footer2' ); ?>
	</div>
	<div class="small-12 medium-4 large-4 columns">
			<?php dynamic_sidebar( 'footer3' ); ?>
	</div>
	<?php } elseif ( $footer_columns === 'twocolumns' ) { ?>
	<div class="small-12 medium-6 large-6 columns">
		<?php dynamic_sidebar( 'footer1' ); ?>
	</div>
	<div class="small-12 medium-6 large-6 columns">
		<?php dynamic_sidebar( 'footer2' ); ?>
	</div>
	<?php } elseif ( $footer_columns === 'doubleleft' ) { ?>
	<div class="small-12 medium-4 large-6 columns">
		<?php dynamic_sidebar( 'footer1' ); ?>
	</div>
	<div class="small-12 medium-4 large-3 columns">
		<?php dynamic_sidebar( 'footer2' ); ?>
	</div>
	<div class="small-12 medium-4 large-3 columns">
		<?php dynamic_sidebar( 'footer3' ); ?>
	</div>
	<?php } elseif ( $footer_columns === 'doubleright' ) { ?>
	<div class="small-12 medium-4 large-3 columns">
		<?php dynamic_sidebar( 'footer1' ); ?>
	</div>
	<div class="small-12 medium-4 large-3 columns">
		<?php dynamic_sidebar( 'footer2' ); ?>
	</div>
	<div class="small-12 medium-4 large-6 columns">
		<?php dynamic_sidebar( 'footer3' ); ?>
	</div>
	<?php } elseif ( $footer_columns === 'fivecolumns' ) { ?>
	<div class="small-12 medium-6 large-2 columns">
		<?php dynamic_sidebar( 'footer1' ); ?>
	</div>
	<div class="small-12 medium-6 large-3 columns">
		<?php dynamic_sidebar( 'footer2' ); ?>
	</div>
	<div class="small-12 medium-6 large-2 columns">
		<?php dynamic_sidebar( 'footer3' ); ?>
	</div>
	<div class="small-12 medium-6 large-3 columns">
		<?php dynamic_sidebar( 'footer4' ); ?>
	</div>
	<div class="small-12 large-2 columns">
		<?php dynamic_sidebar( 'footer5' ); ?>
	</div>
	<?php } elseif ( $footer_columns === 'onecolumns' ) { ?>
	<div class="small-12 columns">
		<?php dynamic_sidebar( 'footer1' ); ?>
	</div>
	<?php } elseif ( $footer_columns === 'fivelargerightcolumns' ) { ?>
		<div class="small-6 medium-4 large-2 columns">
		<?php dynamic_sidebar( 'footer1' ); ?>
		</div>
		<div class="small-6 medium-4 large-2 columns">
		<?php dynamic_sidebar( 'footer2' ); ?>
		</div>
		<div class="small-6 medium-4 large-2 columns">
		<?php dynamic_sidebar( 'footer3' ); ?>
		</div>
		<div class="small-6 medium-4 large-2 columns">
		<?php dynamic_sidebar( 'footer4' ); ?>
		</div>
		<div class="small-6 medium-8 large-4 columns">
		<?php dynamic_sidebar( 'footer5' ); ?>
		</div>
	<?php } elseif ( $footer_columns === 'fivelargeleftcolumns' ) { ?>
		<div class="small-6 medium-4 large-4 columns">
		<?php dynamic_sidebar( 'footer1' ); ?>
		</div>
		<div class="small-6 medium-4 large-2 columns">
		<?php dynamic_sidebar( 'footer2' ); ?>
		</div>
		<div class="small-6 medium-4 large-2 columns">
		<?php dynamic_sidebar( 'footer3' ); ?>
		</div>
		<div class="small-6 medium-4 large-2 columns">
		<?php dynamic_sidebar( 'footer4' ); ?>
		</div>
		<div class="small-6 medium-8 large-2 columns">
		<?php dynamic_sidebar( 'footer5' ); ?>
		</div>
	<?php } ?>
	</div>
</footer>
<!-- End Footer -->
	<?php
}
