<?php
	$subfooter             = ot_get_option( 'subfooter', 'off' );
	$subfooter_boxed       = ot_get_option( 'subfooter_boxed' ) === 'on' ? 'boxed' : '';
	$subfooter_color       = ot_get_option( 'subfooter_color', 'light' );
	$subfooter_logo_switch = ot_get_option( 'subfooter_logo_switch' );
	$subfooter_logo        = ot_get_option( 'subfooter_logo' );

	$classes[] = $subfooter_color;
	$classes[] = $subfooter_boxed;
	$classes[] = 'style2';
?>
<?php if ( $subfooter !== 'off' ) { ?>
	<!-- Start Sub Footer -->
	<footer id="subfooter" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
		<div class="row">
			<div class="small-12 columns">
				<div class="row align-middle">
				<div class="small-12 medium-6 columns subfooter-logo-holder">
					<?php if ( $subfooter_logo_switch === 'on' ) { ?>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
							<img src="<?php echo esc_url( $subfooter_logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
						</a>
					<?php } ?>
				</div>
				<div class="small-12 medium-6 columns social-column">
					<div class="subfooter-social">
						<?php do_action( 'thb_social_header', false, true ); ?>
					</div>
				</div>
			</div>
			<hr >
			<div class="row align-middle">
				<div class="small-12 medium-6 columns">
					<?php
					wp_nav_menu(
						array(
							'theme_location'  => 'footer-menu',
							'depth'           => 1,
							'container'       => 'div',
							'container_class' => 'subfooter-menu',
							'menu_class'      => 'footer-menu',
						)
					);
					?>
				</div>
				<div class="small-12 medium-6 columns copyright-column">
					<p><?php echo esc_html( ot_get_option( 'copyright', 'Copyright 2019 Fuel Themes. All RIGHTS RESERVED.' ) ); ?> </p>
				</div>
			</div>
			</div>
		</div>
	</footer>
	<!-- End Sub Footer -->
	<?php
}
