<?php
	$fixed_header     = ot_get_option( 'header_fixed' );
	$subheader_search = ot_get_option( 'subheader_search' );
	$menu_color       = ot_get_option( 'menu_color', 'light' );
	$subheader_color  = ot_get_option( 'subheader_color', 'light' );
	$logo             = ot_get_option( 'fixedlogo', Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/fixedlogo.png' );
?>
<?php if ( $fixed_header !== 'off' ) { ?>
<!-- Start Fixed Header -->
<div class="subheader fixed <?php echo esc_attr( $subheader_color ); ?>">
	<div class="row hide-for-large mobile-fixed-header align-middle">
		<div class="small-2 columns text-left mobile-icon-holder">
			<?php do_action( 'thb_mobile_toggle' ); ?>
		</div>
		<div class="small-8 large-4 columns logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
				<img src="<?php echo esc_url( $logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
			</a>
		</div>
		<div class="small-2 columns text-right mobile-share-holder">
			<div>
			<?php do_action( 'thb_quick_search' ); ?>
			</div>
		</div>
	</div>
	<div class="row full-width-row show-for-large">
	<?php if ( is_single() ) { ?>
		<div class="medium-8 columns logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
				<img src="<?php echo esc_url( $logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
			</a>
			<span class="page-title" id="page-title"><?php the_title(); ?></span>
		</div>
	<div class="medium-4 columns">
		<?php do_action( 'thb_social_article_detail_vertical', false, false ); ?>
	</div>
		<?php if ( ot_get_option( 'reading_indicator', 'on' ) !== 'off' ) { ?>
		<span class="progress"></span>
	<?php } ?>
	<?php } else { ?>
			<div class="small-12 large-3 columns logo small-only-text-center">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
					<img src="<?php echo esc_url( $logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
				</a>
			</div>
			<div class="large-6 columns text-center">
				<nav class="menu-holder menu-<?php echo esc_attr( $menu_color ); ?>">
				<?php if ( has_nav_menu( 'nav-menu' ) ) { ?>
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'nav-menu',
							'depth'          => 3,
							'container'      => false,
							'menu_class'     => 'sf-menu',
							'walker'         => new thb_MegaMenu_tagandcat_Walker(),
						)
					);
					?>
				<?php } ?>
				</nav>
			</div>
			<div class="large-3 columns">
				<ul class="sf-menu right-menu text-right">
			<?php do_action( 'thb_social_header', ot_get_option( 'social_links_style', 'style1' ) ); ?>
				<?php
				if ( ot_get_option( 'subheader_ls' ) === 'on' ) {
					do_action( 'thb_language_switcher' ); }
				?>
				<?php
				if ( $subheader_search !== 'off' ) {
					echo '<li>';
						do_action( 'thb_quick_search' );
					echo '</li>'; }
				?>
				</ul>
			</div>
	<?php } ?>
	</div>
</div>
<!-- End Fixed Header -->
<?php } ?>
