<?php
	$header_boxed      = ( ot_get_option( 'header_boxed' ) === 'on' ? 'boxed' : '' );
	$header_color      = ot_get_option( 'header_color', 'light' );
	$menu_color        = ot_get_option( 'menu_color', 'light' );
	$header_menu_width = ( ot_get_option( 'header_menu_width', 'off' ) === 'on' ? 'full-width-row no-padding no-row-padding' : '' );
	$logo              = ot_get_option( 'thb_logo', Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/logo.png' );
?>
<!-- Start Header -->
<header class="header style2 <?php echo esc_attr( $header_boxed . ' ' . $header_color ); ?>">
	<div class="row align-center">
		<div class="small-2 columns mobile-icon-holder">
			<?php do_action( 'thb_mobile_toggle' ); ?>
		</div>
		<div class="small-8 columns logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
				<img src="<?php echo esc_url( $logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
			</a>
		</div>
		<div class="small-2 columns mobile-share-holder">
			<?php do_action( 'thb_quick_search' ); ?>
		</div>
	</div>
	<div class="row <?php echo esc_attr( $header_menu_width ); ?>">
		<div class="small-12 columns">
			<nav class="menu-holder style2 text-center cf <?php echo esc_attr( $menu_color ); ?> menu-<?php echo esc_attr( $menu_color ); ?>" id="menu_width">
				<?php if ( has_nav_menu( 'nav-menu' ) ) { ?>
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'nav-menu',
							'depth'          => 3,
							'container'      => false,
							'menu_class'     => 'sf-menu style2',
							'walker'         => new thb_MegaMenu_tagandcat_Walker(),
						)
					);
					?>
				<?php } ?>
				<?php do_action( 'thb_secondary' ); ?>
			</nav>
		</div>
	</div>
</header>
<!-- End Header -->
