<?php
	$header_boxed = ( ot_get_option( 'header_boxed' ) === 'on' ? 'boxed' : '' );
	$header_color = ot_get_option( 'header_color', 'light' );
	$menu_color   = ot_get_option( 'menu_color', 'light' );
	$logo         = ot_get_option( 'thb_logo', Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/logo.png' );
?>
<!-- Start Header -->
<header class="header style3 <?php echo esc_attr( $header_boxed . ' ' . $header_color ); ?>">
	<div class="row">
		<div class="small-2 columns text-left mobile-icon-holder">
			<?php do_action( 'thb_mobile_toggle' ); ?>
		</div>
		<div class="small-8 large-12 columns logo">
			<div id="menu_width">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
					<img src="<?php echo esc_url( $logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
				</a>
				<nav class="menu-holder <?php echo esc_attr( $menu_color ); ?> menu-<?php echo esc_attr( $menu_color ); ?>">
					<?php if ( has_nav_menu( 'nav-menu' ) ) { ?>
						<?php
						wp_nav_menu(
							array(
								'theme_location' => 'nav-menu',
								'depth'          => 3,
								'container'      => false,
								'menu_class'     => 'sf-menu style3',
								'walker'         => new thb_MegaMenu_tagandcat_Walker(),
							)
						);
						?>
					<?php } ?>
					<?php do_action( 'thb_secondary' ); ?>
				</nav>
			</div>
		</div>
		<div class="small-2 columns text-right mobile-share-holder">
			<div>
			<?php do_action( 'thb_quick_search' ); ?>
			</div>
		</div>
	</div>
</header>
<!-- End Header -->
