<?php
	$header_boxed  = ( ot_get_option( 'header_boxed' ) === 'on' ? 'boxed' : '' );
	$header_color  = ot_get_option( 'header_color', 'light' );
	$menu_color    = ot_get_option( 'menu_color', 'light' );
	$general_boxed = ( ot_get_option( 'general_boxed' ) === 'on' ? 'boxed' : '' );
	$logo          = ot_get_option( 'thb_logo', Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/logo.png' );
?>
<!-- Start Header -->
<header class="header style7 <?php echo esc_attr( $header_boxed . ' ' . $header_color ); ?>">
	<div class="row full-width-row">
		<div class="small-2 medium-3 columns text-left mobile-icon-holder">
			<?php do_action( 'thb_mobile_toggle' ); ?>
		</div>
		<div class="large-4 columns thb-a">
			<?php do_action( 'thb_ads_header' ); ?>
		</div>
		<div class="small-8 medium-6 large-4 columns logo">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logolink">
					<img src="<?php echo esc_url( $logo ); ?>" class="logoimg" alt="<?php bloginfo( 'name' ); ?>"/>
				</a>
		</div>
		<div class="small-2 medium-3 columns text-right mobile-share-holder">
			<?php do_action( 'thb_quick_search' ); ?>
		</div>
		<div class="large-4 columns thb-a thb-a-right">
			<?php do_action( 'thb_ads_header_2' ); ?>
		</div>
	</div>
</header>
<!-- End Header -->
<div id="navholder" class="<?php echo esc_attr( $menu_color ); ?> menu-<?php echo esc_attr( $menu_color ); ?> <?php echo esc_attr( $general_boxed ); ?>">
	<nav class="menu-holder style7 <?php echo esc_attr( $menu_color ); ?>" id="menu_width">
		<div class="row full-width-row no-padding no-row-padding">
			<div class="medium-2 columns">
				<?php do_action( 'thb_mobile_toggle' ); ?>
			</div>
		<div class="medium-8 columns text-center">
		<?php if ( has_nav_menu( 'nav-menu' ) ) { ?>
			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'nav-menu',
					'depth'          => 3,
					'container'      => false,
					'menu_class'     => 'sf-menu style1',
					'walker'         => new thb_MegaMenu_tagandcat_Walker(),
				)
			);
			?>
		<?php } ?>
		</div>
		<div class="medium-2 columns text-right">
			<?php do_action( 'thb_secondary' ); ?>
		</div>
	</nav>
</div>
