<?php
	global $wp;

	$thb_id           = get_the_ID();
	$attachments      = get_post_meta( $thb_id, 'pp_gallery_slider', true );
	$attachment_array = explode( ',', $attachments );
	$length           = count( $attachment_array );
	$permalink        = get_permalink();
	$thb_paged        = get_query_var( 'paged' );
	$thb_ajax         = get_query_var( 'thb_ajax' );
?>
<div class="row post-detail-row top-padding">
	<div class="small-12 medium-12 columns">

		<article itemscope itemtype="http://schema.org/Article" <?php post_class( 'post blog-post' ); ?> id="post-<?php the_ID(); ?>" data-id="<?php the_ID(); ?>" data-url="<?php echo esc_attr( home_url( $wp->request ) ); ?>">
			<?php do_action( 'thb_breadcrumbs' ); ?>
			<header class="post-title entry-header">
				<?php do_action( 'thb_DisplaySingleCategory', false ); ?>
				<?php the_title( '<h1 class="entry-title" itemprop="name headline">', '</h1>' ); ?>
				<?php do_action( 'thb_PostInfo', true, true, true, true ); ?>
			</header>
			<div class="row">
				<div class="small-12 medium-7 columns">
					<figure class="post-gallery gallery-format-post vertical">
							<?php
								$thb_page_index = in_array( $thb_paged, array( 0, 1 ), true ) ? 0 : $thb_paged - 1;
								$next_page      = in_array( $thb_paged, array( 0, 1 ), true ) ? 2 : $thb_paged + 1;
								$prev_page      = in_array( $thb_paged, array( 0, 1 ), true ) ? false : $thb_paged - 1;
							if ( '' !== get_option( 'permalink_structure' ) && ! is_preview() ) {
								// using pretty permalinks, append to url
								$prev = $thb_paged > 2 ? user_trailingslashit( $permalink . 'page/' . $prev_page ) : $permalink;
								$next = user_trailingslashit( $permalink . 'page/' . $next_page );
							} else {
								$prev = $thb_paged > 2 ? add_query_arg( array( 'page' => $prev_page ), $permalink ) : $permalink;
								$next = add_query_arg( array( 'page' => $next_page ), $permalink );
							}
							?>
							<?php if ( $thb_paged > 1 ) { ?>
								<a href="<?php echo esc_attr( $prev ); ?>" class="slick-nav slick-prev hide-for-large-up"><i class="fa fa-angle-left"></i></a>
							<?php } ?>
							<?php if ( $next_page <= $length ) { ?>
								<a href="<?php echo esc_attr( $next ); ?>" class="slick-nav slick-next hide-for-large-up"><i class="fa fa-angle-right"></i></a>
							<?php } ?>
						<?php echo wp_get_attachment_image( $attachment_array[ $thb_page_index ], 'goodlife-gallery-vertical' ); ?>
					</figure>
				</div>
				<div class="small-12 medium-5 columns">
					<div class="fixed-me">
						<?php $image = get_post( $attachment_array[ $thb_page_index ] ); ?>
						<?php if ( $image->post_title ) { ?>
							<header class="post-title">
								<h4 itemprop="name headline"><?php echo esc_attr( $image->post_title ); ?></h4>
							</header>
						<?php } ?>
						<?php if ( $image->post_excerpt ) { ?>
							<div class="post-content entry-content cf medium">
								<?php echo apply_filters( 'the_excerpt', $image->post_excerpt ); ?>
							</div>
						<?php } ?>
					</div>
				</div>
			</div>
			<aside class="gallery-pagination">
				<?php if ( $thb_paged > 1 ) { ?>
					<a href="<?php echo esc_attr( $prev ); ?>" class="slick-nav slick-prev"><i class="fa fa-angle-left"></i></a>
				<?php } ?>
				<?php echo esc_html__( 'photo ', 'goodlife' ) . '<span>' . esc_html( 0 === $thb_paged ? 1 : $thb_paged ) . '</span>' . esc_html__( ' of ', 'goodlife' ) . esc_attr( $length ); ?>
				<?php if ( $next_page <= $length ) { ?>
					<a href="<?php echo esc_attr( $next ); ?>" class="slick-nav slick-next"><i class="fa fa-angle-right"></i></a>
				<?php } ?>
			</aside>
			<?php get_template_part( 'inc/templates/post-detail-styles/postbits/post-end' ); ?>
			<?php do_action( 'thb_PostMeta' ); ?>
		</article>

		<?php comments_template( '', true ); ?>
	</div>
	<?php if ( ! $thb_ajax ) { ?>
		<?php if ( ot_get_option( 'related_posts' ) !== 'off' ) { ?>
		<div class="small-12 columns">
			<?php get_template_part( 'inc/templates/post-detail-styles/postbits/post-latest' ); ?>
		</div>
		<?php } ?>
	<?php } ?>
</div>
