<?php
	$posttags         = get_the_tags();
	$article_author   = ot_get_option( 'article_author', 'on' );
	$article_prevnext = ot_get_option( 'article_prevnext', 'on' );
	$thb_id           = get_the_ID();
	$post_source      = get_post_meta( $thb_id, 'post_source', true );
	$post_via         = get_post_meta( $thb_id, 'post_via', true );
?>
<?php if ( ! empty( $posttags ) || $post_source !== '' || $post_via !== '' ) { ?>
<footer class="article-tags entry-footer">
	<?php if ( $post_via !== '' ) { ?>
	<div>
		<span class="tags-title"><?php esc_html_e( 'Via', 'goodlife' ); ?></span>
			<?php foreach ( $post_via as $source ) { ?>
				<a href="<?php echo esc_url( $source['post_source_url'] ); ?>" target="_blank" title="<?php echo esc_attr( $source['title'] ); ?>" class="tag-link"><?php echo esc_attr( $source['title'] ); ?></a>
			<?php } ?>
	</div>
	<?php } ?>
	<?php if ( $post_source !== '' ) { ?>
	<div>
		<span class="tags-title"><?php esc_html_e( 'Source', 'goodlife' ); ?></span>
			<?php foreach ( $post_source as $source ) { ?>
				<a href="<?php echo esc_url( $source['post_source_url'] ); ?>" target="_blank" title="<?php echo esc_attr( $source['title'] ); ?>" class="tag-link"><?php echo esc_attr( $source['title'] ); ?></a>
			<?php } ?>
	</div>
	<?php } ?>
	<?php if ( $posttags ) { ?>
	<div>
		<span class="tags-title"><?php esc_html_e( 'Tags', 'goodlife' ); ?></span>
		<?php
		if ( $posttags ) {
			$return = '';
			foreach ( $posttags as $tag ) {
				$return .= '<a href="' . get_tag_link( $tag->term_id ) . '" title="' . get_tag_link( $tag->name ) . '" class="tag-link">' . $tag->name . '</a> ';
			}
			echo substr( $return, 0, -1 );
		}
		?>
	</div>
	<?php } ?>
</footer>
<?php } ?>
<?php if ( $article_author === 'on' ) { ?>
<div class="post-author">
	<?php do_action( 'thb_author' ); ?>
</div>
<?php } ?>
<?php do_action( 'thb_social_article_detail' ); ?>
<?php if ( $article_prevnext === 'on' ) { ?>
	<?php do_action( 'thb_post_nav' ); ?>
<?php } ?>
