<!-- Start Related Posts -->
<?php
$thb_id       = get_the_id();
$related_type = ot_get_option( 'related_posts', 'latest' );
$args         = array();
if ( $related_type == 'latest' ) {
	$args = array(
		'post_type'           => 'post',
		'post_status'         => 'publish',
		'ignore_sticky_posts' => 1,
		'no_found_rows'       => true,
		'post__not_in'        => array( $thb_id ),
		'posts_per_page'      => ot_get_option( 'related_count', 4 ),
	);
} else {
	$tags = wp_get_post_tags( $post->ID );

	if ( $tags ) {
		$tag_ids = array();
		foreach ( $tags as $individual_tag ) {
			$tag_ids[] = $individual_tag->term_id; }
		$args = array(
			'tag__in'             => $tag_ids,
			'post__not_in'        => array( $thb_id ),
			'posts_per_page'      => ot_get_option( 'related_count', 4 ),
			'ignore_sticky_posts' => 1,
			'no_found_rows'       => true,
		);
	}
}
  $related_posts = new WP_Query( $args );
?>
<?php if ( $related_posts->have_posts() ) : ?>
<aside class="related-posts cf hide-on-print">
	<h4 class="related-title">
	<?php
	if ( $related_type == 'latest' ) {
		esc_html_e( 'Latest News', 'goodlife' );
	} else {
		esc_html_e( 'Related News', 'goodlife' );
	}
	?>
	</h4>
	<div class="row">
		<?php
		while ( $related_posts->have_posts() ) :
			$related_posts->the_post();
			?>
		<div class="small-6 medium-6 large-3 columns">
			<?php get_template_part( 'inc/templates/post-styles/style1' ); ?>
		</div>
		<?php endwhile; ?>
	</div>
</aside>
<?php endif; ?>
<?php wp_reset_postdata(); ?>
<!-- End Related Posts -->
