<?php
	$id                    = get_the_ID();
	$review_style          = get_post_meta( $id, 'post-review-style', true );
	$featured_image_credit = get_post_meta( $id, 'standard-featured-credit', true );
	$image_id              = get_post_thumbnail_id();
	$image_link            = wp_get_attachment_image_src( $image_id, 'full' );
	$thb_ajax              = get_query_var( 'thb_ajax' );
?>
<div class="post-detail-row post-detail-style4">
	<div class="post post-header no-shadow parallax_bg">
		<div class="inline_bg"
				 data-bottom-top="transform: translate3d(0px, 5%, 0px);"
				 data-top-bottom="transform: translate3d(0px, -5%, 0px);">
			<?php the_post_thumbnail( 'full' ); ?>
		</div>
		<div class="inner_header"></div>
		<?php if ( $featured_image_credit ) { ?>
			<figcaption class="featured_image_credit"><?php echo esc_attr( $featured_image_credit ); ?></figcaption>
		<?php } ?>

	</div>
	<div class="row align-center">
		<div class="small-12 medium-10 columns">
		  <article itemscope itemtype="http://schema.org/Article" <?php post_class( 'post blog-post style4' ); ?> id="post-<?php the_ID(); ?>" data-id="<?php the_ID(); ?>" data-url="<?php the_permalink(); ?>">
			<?php do_action( 'thb_ads_before_title' ); ?>
			<?php do_action( 'thb_breadcrumbs' ); ?>
			  <header class="post-title entry-header">
				<?php do_action( 'thb_DisplaySingleCategory', false ); ?>
				<?php the_title( '<h1 class="entry-title" itemprop="name headline">', '</h1>' ); ?>
				<?php do_action( 'thb_PostInfo', true, true, true, true ); ?>
			  </header>
			<?php do_action( 'thb_social_article_detail_simple' ); ?>
			<?php do_action( 'thb_ads_before_content' ); ?>
				<div class="post-content entry-content cf">
					<?php
					if ( $review_style !== 'style3' ) {
						do_action( 'thb_post_review' ); }
					?>
				<?php the_content(); ?>
				<?php
				if ( is_single() ) {
					wp_link_pages(); }
				?>
				</div>
				<?php do_action( 'thb_ads_after_content' ); ?>
				<?php
				if ( $review_style === 'style3' ) {
					do_action( 'thb_post_review' ); }
				?>
				<?php get_template_part( 'inc/templates/post-detail-styles/postbits/post-end' ); ?>
				<?php if ( ! $thb_ajax ) { ?>
					<?php comments_template( '', true ); ?>
				<?php } ?>
				<?php do_action( 'thb_PostMeta' ); ?>
			</article>
			<?php do_action( 'thb_ads_after_article' ); ?>
	  </div>
	  <?php if ( ! $thb_ajax ) { ?>
			<?php if ( ot_get_option( 'related_posts' ) !== 'off' ) { ?>
			<div class="small-12 columns">
				<?php get_template_part( 'inc/templates/post-detail-styles/postbits/post-latest' ); ?>
			</div>
		  <?php } ?>
	  <?php } ?>
	</div>
</div>
