<?php
	$thb_id       = get_the_ID();
	$video_url    = get_post_meta( $thb_id, 'post_video', true );
	$other_videos = get_post_meta( $thb_id, 'other_videos', true );
	$video_style  = get_post_meta( $thb_id, 'video_style', true ) ? get_post_meta( $thb_id, 'video_style', true ) : 'dark';
	$thb_ajax     = get_query_var( 'thb_ajax' );
?>
<div class="post-detail-row">
  <article itemscope itemtype="http://schema.org/Article" <?php post_class( 'post blog-post ' . $video_style . '-color' ); ?> id="post-<?php the_ID(); ?>" data-id="<?php the_ID(); ?>" data-url="<?php the_permalink(); ?>">
	  <figure class="post-gallery video-format-post">
		  <div class="row">
			  <div class="small-12 large-12 columns">
				  <div class="video-container">
					<?php
					if ( $video_url !== '' && wp_oembed_get( $video_url ) ) {
						echo '<div class="flex-video widescreen">' . wp_oembed_get( $video_url ) . '</div>';
					} else {
						echo wp_video_shortcode(
							array(
								'src' => $video_url,
							)
						);
					}
					?>
				  </div>
				<?php do_action( 'thb_breadcrumbs' ); ?>
				  <header class="post-title entry-header">
					<?php do_action( 'thb_DisplaySingleCategory', false ); ?>
					<?php the_title( '<h1 class="entry-title" itemprop="name headline">', '</h1>' ); ?>
					<?php do_action( 'thb_PostInfo', true, true, true, true ); ?>
				  </header>
					<div class="post-content entry-content cf medium">
						<?php the_content(); ?>
						<?php
						if ( is_single() ) {
							wp_link_pages(); }
						?>
					</div>
				<?php do_action( 'thb_social_article_detail_simple' ); ?>
			  </div>
		  </div>
	  </figure>
	<?php do_action( 'thb_PostMeta' ); ?>
  </article>
	<?php if ( $other_videos !== 'off' ) { ?>
		<!-- Start Other Videos -->
		<?php
		  $postId = get_the_id();

		  $args = array(
			  'post_type'           => 'post',
			  'post_status'         => 'publish',
			  'ignore_sticky_posts' => 1,
			  'no_found_rows'       => true,
			  'post__not_in'        => array( $postId ),
			  'posts_per_page'      => 6,
			  'tax_query'           => array(
				  array(
					  'taxonomy' => 'post_format',
					  'field'    => 'slug',
					  'terms'    => array(
						  'post-format-video',
					  ),
					  'operator' => 'IN',
				  ),
			  ),
		  );

		  $other_videos = new WP_Query( $args );
			?>
		<?php if ( $other_videos->have_posts() ) : ?>
		<aside class="other_videos <?php echo esc_attr( $video_style . '-color' ); ?>">
			<div class="row">
			  <?php
				while ( $other_videos->have_posts() ) :
					$other_videos->the_post();
					?>
				<div class="small-6 medium-4 large-2 columns">
					<?php
						set_query_var( 'video_style', $video_style );
						get_template_part( 'inc/templates/post-styles/other-videos' );
					?>
				</div>
				<?php endwhile; ?>
		  </div>
		</aside>
		<?php endif; ?>
		<?php wp_reset_postdata(); ?>
		<!-- End Other Videos -->
	<?php } ?>
	<?php if ( ! $thb_ajax ) { ?>
	<div class="row">
		<div class="small-12 large-12 columns">
				<?php comments_template( '', true ); ?>
		</div>
	</div>
	<?php } ?>
</div>
<?php if ( ! $thb_ajax ) { ?>
	<?php if ( ot_get_option( 'related_posts' ) !== 'off' ) { ?>
<div class="row">
  <div class="small-12 columns">
		<?php get_template_part( 'inc/templates/post-detail-styles/postbits/post-latest' ); ?>
  </div>
</div>
	<?php } ?>
<?php } ?>
