<?php
	add_filter( 'excerpt_length', 'thb_short_excerpt_length' );
	$vars        = $wp_query->query_vars;
	$extra_class = array_key_exists( 'extra_class', $vars ) ? $vars['extra_class'] : false;
	$title_size  = array_key_exists( 'title_size', $vars ) ? $vars['title_size'] : false;
	$excerpt     = array_key_exists( 'excerpt', $vars ) ? $vars['excerpt'] : false;
	$image_size  = array_key_exists( 'image_size', $vars ) ? $vars['image_size'] : 'goodlife-grid-2x';
?>
<div <?php post_class( 'post post-fashion ' . $extra_class ); ?>>
	<figure class="post-gallery no-video-icon no-gallery-icon">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php the_post_thumbnail( $image_size ); ?>
			<?php do_action( 'thb_post_review_circle', 'small' ); ?>
		</a>
		<div class="post-title-container">
			<div class="post-category"><?php do_action( 'thb_DisplaySingleCategory', false ); ?></div>
			<header class="post-title entry-header">
				<?php the_title( '<' . $title_size . ' class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></' . $title_size . '>' ); ?>
			</header>
			<?php do_action( 'thb_PostInfo', true, true, true, false ); ?>
			<?php if ( $excerpt ) { ?>
			<div class="post-content entry-content small">
				<?php the_excerpt(); ?>
			</div>
			<?php } ?>
		</div>
	</figure>
</div>
