<?php
	add_filter( 'excerpt_length', 'thb_short_excerpt_length' );

	$vars           = $wp_query->query_vars;
	$extra_class    = array_key_exists( 'extra_class', $vars ) ? $vars['extra_class'] : false;
	$title_size     = array_key_exists( 'title_size', $vars ) ? $vars['title_size'] : 'h5';
	$thb_excerpts   = array_key_exists( 'thb_excerpts', $vars ) ? $vars['thb_excerpts'] : false;
	$thb_image_size = array_key_exists( 'thb_image_size', $vars ) ? $vars['thb_image_size'] : 'goodlife-latest-2x';
?>
<div <?php post_class( 'post gallery-offset-category' ); ?>>
	<figure class="post-gallery">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php do_action( 'thb_post_review_circle', 'small' ); ?>
			<?php the_post_thumbnail( $thb_image_size ); ?>
		</a>
		<div class="post-category"><?php do_action( 'thb_DisplaySingleCategory', true ); ?></div>
	</figure>
	<div class="gallery-offset-container">
		<header class="post-title entry-header">
		<?php the_title( '<' . $title_size . ' class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></' . $title_size . '>' ); ?>
		</header>
	<?php do_action( 'thb_PostInfo', true, true, true, false ); ?>
	<?php if ( $thb_excerpts ) { ?>
		<div class="post-content entry-content small">
		<?php the_excerpt(); ?>
		</div>
	<?php } ?>
	</div>
</div>
