<?php
  add_filter( 'excerpt_length', 'thb_short_excerpt_length' );
	$vars         = $wp_query->query_vars;
	$extra_class  = array_key_exists( 'extra_class', $vars ) ? $vars['extra_class'] : false;
	$title_size   = array_key_exists( 'title_size', $vars ) ? $vars['title_size'] : 'h2';
	$thb_contain  = array_key_exists( 'thb_contain', $vars ) ? $vars['thb_contain'] : false;
	$thb_excerpts = array_key_exists( 'thb_excerpts', $vars ) ? $vars['thb_excerpts'] : false;
	$thb_button   = array_key_exists( 'thb_button', $vars ) ? $vars['thb_button'] : false;
  $image_size     = array_key_exists( 'image_size', $vars ) ? $vars['image_size'] : 'goodlife-grid-2x';
?>
<div <?php post_class( 'post post-overlay ' . $extra_class ); ?>>
	<figure class="post-gallery">
		<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
			<?php do_action( 'thb_post_review_circle', 'small' ); ?>
			<?php the_post_thumbnail( $image_size ); ?>
		</a>

		<header class="post-title entry-header">
			<?php if ( $thb_contain ) { ?>
				<div class="row max_width align-center">
					<div class="small-12 medium-10 large-8 columns">
			<?php } ?>
			<div class="post-category"><?php do_action( 'thb_DisplaySingleCategory', true ); ?></div>
			<?php the_title( '<' . $title_size . ' class="entry-title" itemprop="name headline"><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '">', '</a></' . $title_size . '>' ); ?>
			<?php do_action( 'thb_PostInfo', true, true, false, false ); ?>
			<?php if ( $thb_excerpts ) { ?>
				<div class="post-content entry-content small">
					<?php the_excerpt(); ?>
				</div>
			<?php } ?>
			<?php if ( $thb_button ) { ?>
				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="btn white-transparent small"><?php esc_html_e( 'READ MORE', 'goodlife' ); ?></a>
			<?php } ?>
			<?php if ( $thb_contain ) { ?>
					</div>
				</div>
			<?php } ?>
		</header>

	</figure>
</div>
