<?php
/* Custom Language Switcher */
function thb_language_switcher() {
	if ( function_exists( 'icl_get_languages' ) || defined( 'THB_DEMO_SITE' ) || function_exists( 'icl_get_languages' ) ) {
		$permalink = get_permalink();
		?>
			<li class="menu-item-has-children thb-language-switcher-menu">
				<a href="#">
				<?php
				if ( defined( 'THB_DEMO_SITE' ) ) {
					$languages = array(
						'en' => array(
							'language_code' => 'en',
							'active'        => 1,
							'url'           => $permalink,
							'name'          => 'English',
							'native_name'   => 'English',
						),
						'fr' => array(
							'language_code' => 'fr',
							'active'        => 0,
							'url'           => $permalink,
							'name'          => 'Français',
							'native_name'   => 'Français',
						),
						'de' => array(
							'language_code' => 'de',
							'active'        => 0,
							'url'           => $permalink,
							'name'          => 'Deutsch',
							'native_name'   => 'Deutsch',
						),
					);
				} elseif ( function_exists( 'icl_get_languages' ) ) {
					$languages = icl_get_languages( 'skip_missing=0' );
				} elseif ( function_exists( 'pll_the_languages' ) ) {
					$languages = pll_the_languages( array( 'raw' => 1 ) );
				}
				if ( 1 < count( $languages ) ) {
					if ( function_exists( 'pll_the_languages' ) ) { // Polylang
						foreach ( $languages as $l ) {
							echo esc_attr( $l['current_lang'] ? $l['id'] : '' );
						}
					} else { // WPML
						foreach ( $languages as $l ) {
							echo esc_attr( $l['active'] ? $l['language_code'] : '' );
						}
					}
				}
				?>
					</a>
				<ul class="sub-menu thb_language_selector">
				<?php
				if ( 1 < count( $languages ) ) {
					foreach ( $languages as $l ) {
						if ( function_exists( 'pll_the_languages' ) ) {
							if ( ! $l['current_lang'] ) {
								echo '<li><a href="' . esc_url( $l['url'] ) . '" title="' . esc_attr( $l['name'] ) . '">' . $l['id'] . '</a></li>';
							}
						} else {
							if ( ! $l['active'] ) {
								echo '<li><a href="' . esc_url( $l['url'] ) . '" title="' . esc_attr( $l['native_name'] ) . '">' . $l['language_code'] . '</a></li>';
							}
						}
					}
				} else {
					echo '<li>' . esc_html__( 'Add Languages', 'goodlife' ) . '</li>';
				}
				?>
				</ul>
			</li>
		<?php
	}
}
add_action( 'thb_language_switcher', 'thb_language_switcher' );

function thb_language_switcher_mobile() {
	if ( function_exists( 'icl_get_languages' ) || defined( 'THB_DEMO_SITE' ) || function_exists( 'icl_get_languages' ) ) {
		$permalink = get_permalink();
		?>
		<div class="select-wrapper">
		<select id="thb_language_selector_mobile">
			<?php
			if ( defined( 'THB_DEMO_SITE' ) ) {
				$languages = array(
					'en' => array(
						'language_code' => 'en',
						'active'        => 1,
						'url'           => $permalink,
						'name'          => 'English',
						'native_name'   => 'English',
					),
					'fr' => array(
						'language_code' => 'fr',
						'active'        => 0,
						'url'           => $permalink,
						'name'          => 'Français',
						'native_name'   => 'Français',
					),
					'de' => array(
						'language_code' => 'de',
						'active'        => 0,
						'url'           => $permalink,
						'name'          => 'Deutsch',
						'native_name'   => 'Deutsch',
					),
				);
			} elseif ( function_exists( 'icl_get_languages' ) ) {
				$languages = icl_get_languages( 'skip_missing=0' );
			} elseif ( function_exists( 'pll_the_languages' ) ) {
				$languages = pll_the_languages( array( 'raw' => 1 ) );
			}
			if ( 1 < count( $languages ) ) {
				foreach ( $languages as $l ) {
					if ( function_exists( 'pll_the_languages' ) ) {
						$selected = $l['current_lang'] ? ' class="active"' : '';
						echo '<option value="' . esc_url( $l['url'] ) . '"' . $selected . '>' . $l['id'] . '</option>';
					} else {
						$class = $l['active'] ? ' class="active"' : '';
						echo '<option value="' . esc_url( $l['url'] ) . '"' . $selected . '>' . $l['language_code'] . '</option>';
					}
				}
			} else {
				echo '<option value="">' . esc_html__( 'Add Languages', 'goodlife' ) . '</option>';
			}
			?>
			</select>
		</div>
		<?php
	}
}
add_action( 'thb_language_switcher_mobile', 'thb_language_switcher_mobile' );
