<?php get_header(); ?>
<?php
	$infinite       = ot_get_option( 'infinite_load', 'on' );
	$infinite_count = ot_get_option( 'infinite_count' );
?>
<div id="infinite-article" data-infinite="<?php echo esc_attr( $infinite ); ?>" data-infinite-count="<?php echo esc_attr( $infinite_count ); ?>" class="<?php echo esc_attr( $infinite ); ?>" data-security="<?php echo esc_attr( wp_create_nonce( 'thb_infinite_ajax' ) ); ?>">
	<?php
	if ( have_posts() ) :
		while ( have_posts() ) :
			the_post();
			$thb_id = get_the_ID();
			$format = get_post_format();
			if ( 'video' === $format ) {
				$video_article_style_override = get_post_meta( $thb_id, 'video_article_style_override', true );
				if ( 'on' === $video_article_style_override ) {
					$post_meta_style = get_post_meta( $thb_id, 'video-post-detail-style', true );
					$post_style      = '' !== $post_meta_style ? $post_meta_style : ot_get_option( 'video-post-detail-style', 'style1' );
				} else {
					$post_style = ot_get_option( 'video-post-detail-style', 'style1' );
				}
				get_template_part( 'inc/templates/post-detail-styles/' . $format . '-' . $post_style );
			} elseif ( 'gallery' === $format ) {
				$gallery_article_style_override = get_post_meta( $thb_id, 'gallery_article_style_override', true );

				if ( 'on' === $gallery_article_style_override ) {
					$post_meta_style = get_post_meta( $thb_id, 'gallery-post-detail-style', true );
					$post_style      = '' !== $post_meta_style ? $post_meta_style : ot_get_option( 'gallery-post-detail-style', 'style1' );
				} else {
					$post_style = ot_get_option( 'gallery-post-detail-style', 'style1' );
				}
				get_template_part( 'inc/templates/post-detail-styles/' . $format . '-' . $post_style );
			} else {
				$standard_article_style_override = get_post_meta( $thb_id, 'standard_article_style_override', true );
				if ( 'on' === $standard_article_style_override ) {
					$post_meta_style = get_post_meta( $thb_id, 'standard-post-detail-style', true );
					$post_style      = '' !== $post_meta_style ? $post_meta_style : ot_get_option( 'standard-post-detail-style', 'style1' );
				} else {
					$post_style = ot_get_option( 'standard-post-detail-style', 'style1' );
				}
				get_template_part( 'inc/templates/post-detail-styles/' . $post_style );
			}
		endwhile;
	endif;
	?>
</div>
<?php
get_footer();
